(function() {
    'use strict';
    var isPassed = false;
    var continueBtn;
    var TOTAL_ITEMS = 9,
        TRIES = 0, // brb
        MAX_ATTEMPTS = 3, // brb
        SEC_ID = "#digfir_section_35", // brb
        DROPPED = 0, // brb
        feedbackContainer, // brb
        submitBtn, // brb
        TOTAL_NUMBER = 511;

  window.mheAdditionalActivities = window.mheAdditionalActivities || {};

  window.mheAdditionalActivities.chapter_12_multiple_choice_2 = {};
  window.mheAdditionalActivities.chapter_12_multiple_choice_2.initialize = function( section ) {
    Init( section );
  };
  window.mheAdditionalActivities.chapter_12_multiple_choice_2.show = function( section ) {
    Show( section );
  };

  var answers = [ 0, 0, 0, 0, 0, 0, 0, 0, 0 ],
    values = [
      92.247,
      "0.000",
      199.13,
      "0.000",
      "8.948",
      "0.000",
      0.614,
      0.774,
      "0.134"
    ];

  var Init = function( section ) {
      shuffleValues(section);
      
      var $container = $('#digfir_section_35 .dnd_container' );
      var draggableOffsets = {};

      // brb
      submitBtn = $(".submitBtn1");
      // brb
      feedbackContainer = $(".feedbackContainer1");

    submitBtn.click( "click", checkAnsver);
    submitBtn.hide();

    $container.disableSelection();

    function snapDraggable( $draggable, $droppable, saveSnap ) {
      var droppableOffset = $droppable.offset(),
          draggableId = $draggable.attr('id');

      var top = droppableOffset.top - draggableOffsets[draggableId].top,
          left = droppableOffset.left - draggableOffsets[draggableId].left;

      $draggable.animate({ top: top, left: left }, 200);

      if ( saveSnap ) {
        var $prevPosition = $('#digfir_section_35 #' + $draggable.data('droppable'));
        var draggableInPrevPosition = $prevPosition.data('draggable');
        if ( draggableInPrevPosition === draggableId ) {
          $prevPosition.data('draggable', '');
        }

        $draggable.data('droppable', $droppable.attr('id'));
        $droppable.data('draggable', $draggable.attr('id'));
      }
    }

    function checkAnsver(){
      var draggableItem = $('#digfir_section_35 .draggable-item:data(droppable)');
      if ( draggableItem.length >= TOTAL_ITEMS && !isPassed ) {
        isPassed = true;
      }

      //var totalNumber = answers.join("");
      var totalNumber = parseInt( answers.join(""), 2 );
      //totalNumber = parseInt( totalNumber, 2 );

      if( totalNumber === TOTAL_NUMBER ){
          // brb
          //submit_hidden_arga_question();

          isPassed = true;
          section.passed = "passed";

          // brb
          feedbackContainer.css("display", "block");
          feedbackContainer.text("Congratulations. This is the correct order");
          
          submitBtn.hide();
          $( continueBtn ).show();
          
          // brb: pass true to submit hidden arga question
          show_answer(true);
          
      } else {

          // brb: if we have reached the try limit then show answers
          TRIES++;
          
          if (TRIES >= MAX_ATTEMPTS) {
              feedbackContainer.show();
              feedbackContainer.text("Max attempts reached. Correct answers are shown above.");
              // pass 'true' to submit hidden arga question
              show_answer(true);
              $( continueBtn ).show();
              return;
          }

          // brb
          feedbackContainer.show();
          feedbackContainer.text("Incorrect. " + TRIES + " of " + MAX_ATTEMPTS + " attempts. Please try again.");
      }
        
    }
      
    $('#digfir_section_35 .background-line-block').droppable({
      hoverClass: 'placeholder-item',
      drop: function ( event, ui ) {

        var $draggable = ui.draggable;
        var $droppable = $(this);
        var occupied = $droppable.data('draggable');
        var draggableFrom;

        var draggableId = $draggable.attr("id"),
            droppableId = $droppable.attr("id");

        
        if ( occupied && (draggableFrom = $draggable.data('droppable'))) {
          // If we drop element to full item - switch this
          var $currentDraggable = $('#digfir_section_35 #' + occupied);
          var $moveTo = $('#digfir_section_35 #' + draggableFrom);

          snapDraggable( $currentDraggable, $moveTo, true);
          snapDraggable( $draggable, $droppable, true );

          checkConsist( occupied, draggableFrom );
        } else if ( !occupied ) {
            // brb
            DROPPED++;
          snapDraggable( $draggable, $droppable, true );
        }
          // brb
            if (DROPPED >= 9) {
                submitBtn.show();
            }
        checkConsist( draggableId, droppableId );
      }
    });
      
    $('#digfir_section_35 .draggable-item').draggable({
      start: function ( event, ui ) {
        var $this = $(this);
        var id = $(this).attr('id');

        if (draggableOffsets[id]) { return; }
        draggableOffsets[id] = $this.offset();
      },
      stop: function ( event, ui ) {
        var $this = $(this);
        var droppable_node;

        if ($this.data('droppable')) {
          droppable_node = $('#digfir_section_35 #' + $this.data('droppable') );

          snapDraggable( $this, droppable_node );
        } else {
          $this.animate({ top: 0, left: 0 }, 200);
        }

      },
      stack: '.draggable-item',
      tolerance: 'pointer',
      revert: 200
    }).disableSelection();


  }; //end init

    // brb: show correct answer and disable dnd
    function show_answer(submit_hidden_arga) {
        
        // remove submit button
        submitBtn.hide();
        
        // place answers in correct spot
        var $draggables  = $(SEC_ID).find('.draggable-item');
        
        for (var i=1; i<=$draggables.length; i++) {
            //snapDraggable( $(SEC_ID).find("#draggable_item_" + i), $(SEC_ID).find("#drop_item_" +i), true );
            
            $(SEC_ID).find("#drop_item_" +i).html($(SEC_ID).find("#draggable_item_" + i).html());
            $(SEC_ID).find("#draggable_item_" + i).remove();
        }
        
        $draggables.each(function() {
            $(this).draggable("disable");
        });
        
        // submit hidden arga question
        if (submit_hidden_arga) {
            //submit_hidden_arga_question();
        }
        
        // brb
        $("#dnd_35_instructions").remove();
    }

    
  function shuffleValues( section ){
    var items,
        indicies = [1,2,3,4,5,6,7,8,9],
        random_num,
        index,
        length,
        i;

    items = section.jq[0].querySelectorAll(".draggable-item");

    for( i = 0; i < items.length; i += 1 ){
      length = indicies.length - 1;
      random_num = getRandom(0, length );

      index = indicies[random_num];
      items[i].id = "draggable_item_" + index;
      items[i].innerHTML = values[index - 1];

      indicies.splice(random_num, 1);
    }
  }

  function checkConsist( dragId, dropId ){
    var splittedId, draggableIndex, droppableIndex;

    splittedId = dragId.split("_");
    draggableIndex = splittedId.pop();
    draggableIndex = parseInt( draggableIndex, 10 );

    splittedId = dropId.split("_");
    droppableIndex = splittedId.pop();
    droppableIndex = parseInt( droppableIndex, 10 );

    if( droppableIndex === draggableIndex ||
        values[droppableIndex - 1] == values[draggableIndex - 1] ){
      answers[ droppableIndex - 1 ] = 1;
    } else {
      answers[ droppableIndex - 1 ] = 0;
    }
  }

  function getRandom( from, to ){
    return Math.round( Math.random() * to ) + from;
  }

  var Show = function( section ) {

      continueBtn = document.getElementById('step_next_button');

      if( isPassed ){
          continueBtn.style.display = 'block';
          section.passed = "passed";
      } else {
          continueBtn.style.display = 'none';
          section.passed = "no_passed";
      }

      // brb : If we have already completed this page then show
      // the answer.
      if (player.ARGA_running) {
          
          var all_arga_answered = true;
          var $curr_sec = $(SEC_ID);
          $curr_sec.find("[data-type='question']").each(function() {
              var $this = $(this);
              var q_index = $this.attr("data-question_index");
	      var question = player.activity.questions[q_index];
              
              all_arga_answered = all_arga_answered && (Number(question.queries[0].grade) > -1);
          });
          
          if (all_arga_answered) {
              feedbackContainer.show();
              feedbackContainer.text("This activity has been completed.");
              show_answer();
          }
          
      }
      
  };
    
})();
