(function() {
    'use strict';
    var isPassed = false,
        continueBtn,
        total_sum = 511,
        answer = [0, 0 , 0, 0, 0, 0, 0, 0, 0];
    window.mheAdditionalActivities = window.mheAdditionalActivities || {};

    window.mheAdditionalActivities.chapter_14_multiple_choice_2 = {};
    window.mheAdditionalActivities.chapter_14_multiple_choice_2.initialize = function( section ) {
        Init( section );
    };
    window.mheAdditionalActivities.chapter_14_multiple_choice_2.show = function( section ) {
        Show( section );
    };

    var Init = function( section ) {
        var $container = $('#digfir_section_6 .dnd_sheet'),
            $hints = $('#digfir_section_6 .hint_item'),
            $drag_item,
            $drop,
            $drag_position,
            $dropId,
            $dragId,
            $coords;

        $container.disableSelection();
        $($hints).hide();

        function Error(){
            $($hints).hide();
            $($hints).last().show();
        }

        function checkAnswer(){
            $dropId = $drop.slice(-1);
            if ($dropId == $dragId) {
                answer[$dropId-1] = 1;
                $($hints).hide();
                $($hints[$dropId-1]).show();
                $('#'+$drop).droppable('disable').css('background', 'lightgreen');
                $($drag_item).draggable('disable').css('opacity', '1');
                var answer_binary = parseInt( answer.join(''), 2 );
                if (answer_binary == total_sum) {
                    $(continueBtn).css('display' , 'block');
                    section.passed = "passed";
                    isPassed = true;
                }
            } else {Error();}
            $($drag_item).width(100).height(24);
        }

        $('#digfir_section_6 .drag_item').draggable({
            containment: $container,
            start: function ( event, ui ) {
                $drag_item = $(this);
                $drag_position = $drag_item.position();
                $dragId = $drag_item.attr('id').slice(-1);
                answer[$dragId-1] = 0;
            }
        });

        $('#digfir_section_6 .drag_list').droppable({
            drop: function() {

                if ($drag_item.hasClass('prev') && $(this).parent().hasClass('prev')) {
                    $(this).parent().animate({ top: $drag_position.top, left: $drag_position.left }, 200);
                    $dragId = $(this).parent().attr('id').slice(-1);
                    var $prev_position = $('#droppable_' + $drag_item.data('prev_position') );
                    $drop = $prev_position.attr('id');
                    checkAnswer();
                    if ($dropId == $dragId) {
                        var crutch_hints = true;
                    }

                    $($drag_item).draggable('enable');
                    $drag_item.animate({ top: $(this).parent().position().top, left: $(this).position().left+35 }, 200);
                    $dragId = $drag_item.attr('id').slice(-1);
                    $drop = $('#droppable_' + $(this).parent().data('prev_position') ).attr('id');
                    checkAnswer();

                    if (crutch_hints) {
                        $($hints[$prev_position.attr('id').slice(-1)-1]).show();
                    }

                    $(this).parent().data('prev_position', $prev_position.attr('id').slice(-1));
                    $drag_item.data('prev_position', $dropId);
                } else {
                    $drag_item.animate({ top: $drag_position.top, left: $drag_position.left }, 200);
                    Error();
                }
            },
            tolerance: 'touch'
        });

        $('#digfir_section_6 .drop').droppable({
            drop: function(event, ui) {
                $drag_item.animate({ top: $(this).position().top+20, left: $(this).position().left+35 }, 200);
                $drop = $(this).attr('id');
                checkAnswer();
                $drag_item.data('prev_position', $dropId);
                $drag_item.addClass('prev');
            }
        });

        $($container).droppable({
            drop: function() {
                if(!$drag_item.hasClass('drag_item'))
                {
                    $drag_item.animate({top: $drag_position.top, left: $drag_position.left}, 200);
                    Error();
                }else{
                    $drag_item.animate({ top: $(this).offsetTop, left: $(this).offsetLeft }, 200);
                }
            }
        });

    }; //end init


    var Show = function( section ) {
        continueBtn = document.getElementById('step_next_button' );
        if( isPassed ){
            continueBtn.style.display = 'block';
            section.passed = "passed";
        } else {
            continueBtn.style.display = 'none';
            section.passed = "no_passed";
        }
    };

})();