webpackJsonp([10],{

/***/ 23:
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(41);
var isQuestion22Answered = false;
var isQuestion23Answered = false;

var ProjectPlayer = __webpack_require__(0);
var SelectActivity = __webpack_require__(2);
var GraphActivity = __webpack_require__(3);
var TableActivity = __webpack_require__(4);
var Pattern = __webpack_require__(7);

/**
 * Updates canvas width and height
 * @param {Element} canvas
 */
function updateCanvasSize (canvas) {
  var canvasRect = canvas.getBoundingClientRect();

  canvas.width = canvasRect.width;
  canvas.height = canvasRect.height;
}

var pattern1 = null;

var firstSelectActivityParams = {
  items: [
    {
      selectParams: {
        options: [
          '1',
          '2',
          '3',
          '4',
          '5',
          '6'],
        container: '#first-select-activity .item-1 .dropdown-container',
        id: 'select-11-',
        ariaLabelledby: 'item-1'
      },
      correctOptionIndex: 4
    },
    {
      selectParams: {
        options: [
          '1',
          '2',
          '3',
          '4',
          '5',
          '6'],
        container: '#first-select-activity .item-2 .dropdown-container',
        id: 'select-12-',
        ariaLabelledby: 'item-2'
      },
      correctOptionIndex: 0
    },
    {
      selectParams: {
        options: [
          '1',
          '2',
          '3',
          '4',
          '5',
          '6'],
        container: '#first-select-activity .item-3 .dropdown-container',
        id: 'select-13-',
        ariaLabelledby: 'item-3'
      },
      correctOptionIndex: 3
    },
    {
      selectParams: {
        options: [
          '1',
          '2',
          '3',
          '4',
          '5',
          '6'],
        container: '#first-select-activity .item-4 .dropdown-container',
        id: 'select-14-',
        ariaLabelledby: 'item-4'
      },
      correctOptionIndex: 5
    },
    {
      selectParams: {
        options: [
          '1',
          '2',
          '3',
          '4',
          '5',
          '6'],
        container: '#first-select-activity .item-5 .dropdown-container',
        id: 'select-15-',
        ariaLabelledby: 'item-5'
      },
      correctOptionIndex: 2
    },
    {
      selectParams: {
        options: [
          '1',
          '2',
          '3',
          '4',
          '5',
          '6'],
        container: '#first-select-activity .item-6 .dropdown-container',
        id: 'select-16-',
        ariaLabelledby: 'item-6'
      },
      correctOptionIndex: 1
    }
  ],
  question_index: 15,
  incorrectFeedback: 'This is not the correct placement for this step.',
  correctFeedback: 'This is the correct placement for this step.',
  reducePossibleOptions: true,
  withShift: false,
  feedbackContainer: '#first-select-activity-fb-container',
  submitButton: '#first-select-activity-1-submit-btn',
};

var secondSelectActivityParams = {
  items: [
    {
      selectParams: {
        options: ['0.875', '0.00', '303.306', '87', '0.979', '2'],
        container: '#second-select-activity .item-1 .dropdown-container',
        id: 'select-21-',
        ariaLabelledby: 'second-item-1'
      },
      correctOptionIndex: 2
    },
    {
      selectParams: {
        options: ['0.875', '0.00', '303.306', '87', '0.979', '2'],
        container: '#second-select-activity .item-2 .dropdown-container',
        id: 'select-22-',
        ariaLabelledby: 'second-item-2'
      },
      correctOptionIndex: 5
    },
    {
      selectParams: {
        options: ['0.875', '0.00', '303.306', '87', '0.979', '2'],
        container: '#second-select-activity .item-3 .dropdown-container',
        id: 'select-23-',
        ariaLabelledby: 'second-item-3'
      },
      correctOptionIndex: 3
    },
    {
      selectParams: {
        options: ['0.875', '0.00', '303.306', '87', '0.979', '2'],
        container: '#second-select-activity .item-4 .dropdown-container',
        id: 'select-24-',
        ariaLabelledby: 'second-item-4'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['0.875', '0.00', '303.306', '87', '0.979', '2'],
        container: '#second-select-activity .item-5 .dropdown-container',
        id: 'select-25-',
        ariaLabelledby: 'second-item-5'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['0.875', '0.00', '303.306', '87', '0.979', '2'],
        container: '#second-select-activity .item-6 .dropdown-container',
        id: 'select-26-',
        ariaLabelledby: 'second-item-6'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['0.875', '0.00', '303.306', '87', '0.979', '2'],
        container: '#second-select-activity .item-7 .dropdown-container',
        id: 'select-27-',
        ariaLabelledby: 'second-item-7'
      },
      correctOptionIndex: 4
    },
    {
      selectParams: {
        options: ['0.875', '0.00', '303.306', '87', '0.979', '2'],
        container: '#second-select-activity .item-8 .dropdown-container',
        id: 'select-28-',
        ariaLabelledby: 'second-item-8'
      },
      correctOptionIndex: 0
    }
  ],
  incorrectFeedback: 'This is not the correct placement for this step.',
  correctFeedback: 'This is the correct placement for this step.',
  reducePossibleOptions: true,
  withShift: false,
  feedbackContainer: '#second-select-activity-fb-container',
  submitButton: '#second-select-activity-2-submit-btn',
  question_index: 19,
  // brb: This allows us to use index 1 three times before we remove it
  // from the select list. This says there are 2 additional duplicates of
  // index 1. If you set this array you must provide a number for every 
  // answer option index (use 0 if an answer is only to be used once).
  correctOptionIndexDuplicates: [0, 2, 0, 0, 0, 0, 0]
};

/*
var graphActivityParams = {
  items: [
    {
      selectParams: {
        options: ['5.07', '6.11', '3.11', '5.83', '6', '6.1'],
        container: '#graph-dd-1',
        id: 'graph-select-11-',
        ariaLabelledby: 't1 t2 t3'
      },
      correctOptionIndex: 0
    },
    {
      selectParams: {
        options: ['4.83', '1.47', '3.11', '5.83', '6', '6.1'],
        container: '#graph-dd-2',
        id: 'graph-select-12-',
        ariaLabelledby: 't1 t2 t3'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['4.83', '6.11', '1.50', '5.83', '6', '6.1'],
        container: '#graph-dd-3',
        id: 'graph-select-13-',
        ariaLabelledby: 't1 t2 t3'
      },
      correctOptionIndex: 2
    }
  ],
  patternParams: {
    fillColor: 'red',
    elements: ['[fill="orange"]'],
  },
  correctFeedback: 'Correct!',
  question_index: 20,
  incorrectFeedback: 'Max attempts reached.',
  feedbackContainer: '#digfir_section_26 .feedback_graph',
  submitButton: '#digfir_section_26 .submit_graph',
  graphContainerSelector: '#digfir_section_26 .activity_graph',
  // showAnswer:
};
*/

var graphActivityParams = {
  items: [
    {
      selectParams: {
        options: ['5.00', '5.07', '5.10', '5.05', '5', '5.10'],
        container: '#graph-dd-1',
        id: 'graph-select-11-',
        ariaLabelledby: 't1 t2 t3'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['1.45', '1.5', '1.47', '1.4', '1.55', '1.00'],
        container: '#graph-dd-2',
        id: 'graph-select-12-',
        ariaLabelledby: 't1 t2 t3'
      },
      correctOptionIndex: 2
    },
    {
      selectParams: {
        options: ['1.00', '1.47', '1.50', '1.55', '1.52', '1.6'],
        container: '#graph-dd-3',
        id: 'graph-select-13-',
        ariaLabelledby: 't1 t2 t3'
      },
      correctOptionIndex: 2
    }
  ],
  patternParams: {
    fillColor: 'red',
    elements: ['[fill="orange"]'],
  },
  correctFeedback: 'Correct!',
  question_index: 20,
  incorrectFeedback: 'Max attempts reached.',
  feedbackContainer: '#digfir_section_26 .feedback_graph',
  submitButton: '#digfir_section_26 .submit_graph',
  graphContainerSelector: '#digfir_section_26 .activity_graph',
  showAnswer: window.mheAdditionalActivities.chapter_9_graph_activity.showAnswer
};

var tableActivityParams = {
  tableActivitySelector: '#digfir_section_22 [data-type="animation-container"]',
  svgSelector: '#canvas-slide22',
  question_index: 17,
  slidesAriaLives: [
    '',
    'The df of “Between groups” and “Within groups” are equal to 2 and 96 respectively.'
    +
    ' This is the df or degrees of freedom. An ANOVA has two dfs,' +
    ' one for the main effect (between-groups) and one for the error (within-groups).',
    'The F of “Between groups” equals 30.145. This is the F statistic. It represents the'
    +
    ' size of the difference between group means compared to the size of the difference within groups.',
    'The Sig. of “Between groups” equals .000. This is the p level or significance level.'
    +
    ' It represents the probability or likelihood that the results happened by chance.'
    +
    ' The lower the p level, the less likely the result happened by chance.',
    'The F score and p level will only tell you whether there is a significant difference.'
    +
    ' To determine which means are different, and the nature or direction of those difference,'
    +
    ' you need to look at the means via a post-hoc test.',
    'The second table’s title is Measures of Association. The eta squared equals .386.'
    +
    ' This is the eta squared in the effect size.' +
    ' It tells us proportion of change in the dependent variable that is associated with'
    +
    ' being in the different groups of the independent variable.  ',
    'This slide includes a sample formula: F from some variable equals a number; p equals a number;'
    +
    ' eta squared equals a number. The eta squared in the effect size.' +
    ' It tells us proportion of change in the dependent variable that is associated with being'
    +
    ' in the different groups of the independent variable.  '
  ],
  slidesCount: 6,
};

var tableActivity1Params = {
  tableActivitySelector: '#digfir_section_23 [data-type="animation-container"]',
  svgSelector: '#canvas-slide24',
  question_index: 18,
  slidesAriaLives: [
    '',
    'The mean difference of (I) Condition (Less than seven hours sleep) and (J)'
    +
    ' Condition (from 7 to 9 hours sleep) equals minus 1.06061.' +
    'This mean difference is significant at the 0.05 level. This is the difference'
    +
    ' between the means for those who sleep less than seven hours and between seven and nine hours.',
    'The mean difference of (I) Condition (Less than seven hours sleep) and (J) Condition (more than 9 hours sleep)'
    +
    ' equals 0.12121.This is the difference between the means for those who sleep'
    +
    ' less than seven hours and more than nine hours.',
    'The mean difference of (I) Condition (from 7 to 9 hours sleep) and (J) Condition'
    +
    ' (more than 9 hours sleep) equals 1.18182. This is the difference between the'
    +
    ' means for those who sleep between seven and nine hours and more than nine hours.',
    'Sig. is the post-hoc test. It tells us which comparisons between the means were significant.'
    +
    ' The p level tells us the significance level of that compression.',
    'The sig of (I) Condition (Less than seven hours sleep) and (J)' +
    ' Condition (from 7 to 9 hours sleep) and the sig. of the mean difference of (I)'
    +
    ' Condition (from 7 to 9 hours sleep) and (J) Condition (more than 9 hours sleep) are equal to .000.'
    +
    ' This means that those who sleep between seven and nine hours are happier'
    +
    ' than those who sleep less than seven hours, and those who sleep more than nine hours.',
    'The sig. of (I) Condition (Less than seven hours sleep) and (J) Condition (more than 9 hours sleep) equals 0.750.'
    +
    ' This means that those who sleep less than seven hours and more than nine'
    +
    ' hours were not different but were equally happy.',
    'The second table’s title is descriptive statistics. The mean of less than 7 hours sleep equals 3.0303.This'
    +
    ' is the average or mean happiness rating for those who sleep less than seven hours.',
    'The standard deviation of less than 7 hours sleep equals 0.80951. This is the standard'
    +
    ' deviation of happiness for those who sleep less than seven hours.',
    'The mean of from seven to 9 hours sleep equals 4.0909. This is the average'
    +
    ' or mean happiness rating for those who sleep between seven and nine hours.',
    'The standard deviation of from 7 to 9 hours sleep equals 0.723. This is the'
    +
    ' standard deviation of happiness for those who sleep between seven and nine hours.',
    'The mean of more than 9 hours sleep equals 2.9091. This is the average or mean'
    +
    ' happiness rating for those who sleep more than nine hours.',
    'The standard deviation of more than 9 hours sleep equals 0.45851. This is the standard'
    +
    ' deviation of happiness for those who sleep more than nine hours.',
    'The mean of less than 7 hours sleep equals 3.0303. The mean of from seven to 9 hours sleep equals 4.0909. '
    +
    'The mean of more than 9 hours sleep equals 2.9091. In this case, the means tell us that those who got from seven'
    +
    ' to nine hours of sleep were happier than those who got less than seven hours of sleep and'
    +
    ' those that got more than nine hours of sleep.' +
    ' The results from the post-hoc test support the finding that this group (those who got from'
    +
    ' seven to nine hours of sleep) was statistically different from other two groups.'
  ],
  slidesCount: 13,
};

var PlayerChapter09 = ProjectPlayer.extend({
  update_navigation: function () {
    var currentSection = this.section_currently_showing;
    if (currentSection) {
      if (this.last_available_section > currentSection) {
        this.sections[currentSection].passed = 'passed';
      }
    }
    if (this.sections[currentSection].passed
      && this.sections[currentSection].passed === 'no_passed') {
      return;
    }
    // show/hide the "next" button as appropriate
    var last_section = this.showing_last_section();
    if (this.last_available_section > this.section_currently_showing
      && !last_section) {
      UI_Elements.toggle_button('step_next_button', true);
    }
    else {
      UI_Elements.toggle_button('step_next_button', false);
    }
    if (last_section && player.activity.answered_all_queries) {
      //player.show_completion_message();
    }
  },
  show_section: function (section_to_show) {
    this.sections[22].all_questions_answered = isQuestion22Answered;
    this.sections[23].all_questions_answered = isQuestion23Answered;
    this._super(section_to_show);

    var continueBtnNode = $('#step_next_button .ui-button-text'),
      currentSection = player.section_currently_showing;

    switch (currentSection) {
      case 16:
        continueBtnNode.text('Submit to IRB');
        break;
      case 18:
        continueBtnNode.text('Collect Data');
        break;
      case 19:
        continueBtnNode.text('Access Data');
        break;
        case 22:
        var slide22completed = player.activity.questions[17].queries[0].grade === "100";
        if (slide22completed) {
          $('#step_next_button').show();
        }
        break;
      case 23:
        var slide23completed = player.activity.questions[18].queries[0].grade === "100";
        if (slide23completed) {
          $('#step_next_button').show();
        }
        break;
      case 26:
        if (!pattern1) {
          pattern1 = new Pattern({
            id: 'pattern1',
            svgContainerSelector: '#digfir_section_26 #g2dbox svg',
            elementsSelector: '[fill="#D40013"]'
          });
        }
        
        break;
      default:
        continueBtnNode.text('Continue');
    }

    /**
     * @param {string} ctx The first.
     * @param {int} elementFrom The second.
     * @param {int} elementTo The third.
     * @param {boolean} isClear The fourth.
     */
    function drawArrow (ctx, elementFrom, elementTo, isClear, paddingTo) {

      // brb: Don't want to call updateCanvasSize if isClear is set to false
      // because it clears the canvas.
      if (isClear !== false) {
        updateCanvasSize(canvas);
      }

      if (isClear == undefined) {
        isClear = true;
      }

      if (isClear) {
        safe_log("clearing canvas");
        clearCanvas(ctx);
      } 
      var elemFrom = getOffsetRect(elementFrom);
      var elemTo = getOffsetRect(elementTo);
      var paddLeft = 2;
      var paddUp = 0;

      var fromx = elemFrom.left || fromx;
      var fromy = elemFrom.top || fromy;

      var paddY = 0;
      if (player.section_currently_showing == 22) {
        paddY = 12;
      }
      if (player.section_currently_showing == 23) {
        paddY = 15;
      }

      var tox = elemTo.left;
      var toy = elemTo.top + $(elementTo).height() + paddY;

      if (paddingTo != undefined) {
        tox += paddingTo[0];
        toy += paddingTo[1];
      }

      fromx += paddLeft;
      fromy += paddUp;

      var headlen = 1;

      var angle = Math.atan2(toy - fromy, tox - fromx);
      // starting path of the arrow from the start square to the end square and drawing the stroke

      ctx.beginPath();
      ctx.moveTo(fromx, fromy);
      ctx.lineTo(tox, toy);
      ctx.strokeStyle = 'black';
      ctx.lineWidth = 2;
      ctx.stroke();

      // starting a new path from the head of the arrow to one of the sides of the point
      ctx.beginPath();

      ctx.moveTo(tox, toy);
      ctx.lineTo(tox - headlen * Math.cos(angle - Math.PI / 7),
        toy - headlen * Math.sin(angle - Math.PI / 7));

      // path from the side point of the arrow, to the other side point
      ctx.lineTo(tox - headlen * Math.cos(angle + Math.PI / 7),
        toy - headlen * Math.sin(angle + Math.PI / 7));

      // path from the side point back to the tip of the arrow, and then again to the opposite side point
      ctx.lineTo(tox, toy);
      ctx.lineTo(tox - headlen * Math.cos(angle - Math.PI / 7),
        toy - headlen * Math.sin(angle - Math.PI / 7));

      // draws the paths created above
      ctx.strokeStyle = 'black';
      ctx.lineWidth = 8;
      ctx.stroke();
      ctx.fillStyle = 'black';
      ctx.fill();
    }

    var canvas;

    /**
     * @param {string} elem The first.
     * @return {int} The getOffsetRect of the top and left canvas
     */
    function getOffsetRect (elem) {
      var box = elem.getBoundingClientRect();

      var body = document.body,
        docElem = document.documentElement;

      var scrollTop = window.pageYOffset || docElem.scrollTop || body.scrollTop,
        scrollLeft = window.pageXOffset || docElem.scrollLeft
          || body.scrollLeft;

      var clientTop = docElem.clientTop || body.clientTop || 0,
        clientLeft = docElem.clientLeft || body.clientLeft || 0;

      var top = box.top + scrollTop - clientTop,
        left = box.left + scrollLeft - clientLeft + $(elem).width() / 2;

      var canvRect = getCanvasRect();
      return {
        top: Math.round(top - canvRect.top),
        left: Math.round(left - canvRect.left)
      };
    }

    /**
     * @return {int} The getOffsetRect of the top and left canvas
     */
    function getCanvasRect () {
      var elem = canvas;
      var box = elem.getBoundingClientRect();

      var body = document.body,
        docElem = document.documentElement;

      var scrollTop = window.pageYOffset || docElem.scrollTop || body.scrollTop,
        scrollLeft = window.pageXOffset || docElem.scrollLeft
          || body.scrollLeft;

      var clientTop = docElem.clientTop || body.clientTop || 0,
        clientLeft = docElem.clientLeft || body.clientLeft || 0;

      var top = box.top + scrollTop - clientTop,
        left = box.left + scrollLeft - clientLeft;

      return {
        top: Math.round(top),
        left: Math.round(left)
      };
    }

    /**
     * @param {string} ctx The first.
     */
    function clearCanvas (ctx) {
      ctx.clearRect(0, 0, canvas.width, canvas.height);
    }

    /**
     * @param {string} ctx The first.
     * @param {int} x The second.
     * @param {int} y The third.
     * @param {int} w The fourth.
     * @param {int} h The fifth.
     */
    function drawEllipseDynamyc (ctx, x, y, w, h) {
      var kappa = .5522848,
        ox = (w / 2) * kappa, // control point offset horizontal
        oy = (h / 2) * kappa, // control point offset vertical
        xe = x + w, // x-end
        ye = y + h, // y-end
        xm = x + w / 2, // x-middle
        ym = y + h / 2; // y-middle

      ctx.beginPath();
      ctx.strokeStyle = 'black';
      ctx.lineWidth = 2;
      ctx.moveTo(x, ym);
      ctx.bezierCurveTo(x, ym - oy, xm - ox, y, xm, y);
      ctx.bezierCurveTo(xm + ox, y, xe, ym - oy, xe, ym);
      ctx.bezierCurveTo(xe, ym + oy, xm + ox, ye, xm, ye);
      ctx.bezierCurveTo(xm - ox, ye, x, ym + oy, x, ym);
      ctx.stroke();
    }

    /**
     * @param {string} ctx The first.
     * @param {int} element The second.
     * @param {int} radiusX The third.
     * @param {int} radiusY The fourth.
     * @param {int} paddX The fifth.
     * @param {int} paddY The sixth.
     */
    function drawEllipseNearElement (ctx, element, radiusX, radiusY, paddX,
      paddY) {
      var elem = getOffsetRect(element);
      drawEllipseDynamyc(ctx, elem.left + paddX, elem.top + paddY, radiusX,
        radiusY);
    }

    if ((player.section_currently_showing == 22) && (!isQuestion22Answered)) {
      var $tables = $('#digfir_section_22 table');
      var $canvas = $('#digfir_section_22 #canvas-slide22');
      var $textAnim = $('#digfir_section_22 .text-anim');
      var $textFormula = $('.text-anim-formula');
      var $textBeforeFormula = $('.text-anim-before-formula');
      var currentSlide = 1;
      var $continueBtn = $('#step_next_button');
      canvas = $('#canvas-slide22')[0];
      var ctx = canvas.getContext('2d');

      var animElements = [
        $('.anim-elem-slide22[data-value=0]')[0],
        $('.anim-elem-slide22[data-value=1]')[0],
        $('.anim-elem-slide22[data-value=2]')[0],
        $('.anim-elem-slide22[data-value=3]')[0],
        $textFormula[0]
      ];

      // init
      //          $textFormula.hide();
      $tables.hide();
      $textAnim.hide();
      //$continueBtn.hide();
      $textFormula.show();
      $($tables[0]).show();
      clearCanvas(ctx);

      $canvas.unbind();
      $canvas.click(function () {
        switch (currentSlide) {
          // 1 table
          case 0:
            clearCanvas(ctx);
            $($textAnim[5]).hide();
            $($tables[0]).show();
            break;
          case 1:
            clearCanvas(ctx);
            $($textAnim[0]).show();

            drawArrow(ctx, $textAnim[0], animElements[0]);
            // drawEllipseNearElement(animElements[0],50,100);
            drawEllipseNearElement(ctx, animElements[0], 36, 53, -12, -27);
            break;
          case 2:
            $($textAnim[0]).hide();
            $($textAnim[1]).show();
            drawArrow(ctx, $textAnim[1], animElements[1]);
            drawEllipseNearElement(ctx, animElements[1], 80, 47, -35, -10);
            break;
          case 3:
            $($textAnim[1]).hide();
            $($textAnim[2]).show();
            drawArrow(ctx, $textAnim[2], animElements[2]);
            drawEllipseNearElement(ctx, animElements[2], 50, 47, -15, -10);
            break;
          case 4:
            $($textAnim[2]).hide();
            $($textAnim[3]).show();
            drawArrow(ctx, $textAnim[3], animElements[1]);
            drawEllipseNearElement(ctx, animElements[1], 130, 47, -35, -10);
            break;

          // 2 table
          case 5:
            $($textAnim[3]).hide();
            $($tables[0]).hide();
            $($tables[1]).show();
            clearCanvas(ctx);
            $($textAnim[4]).show();
            drawArrow(ctx, $textAnim[4], animElements[3]);
            drawEllipseNearElement(ctx, animElements[3], 80, 47, -15, -10);
            break;
          case 6:
            $($textAnim[4]).hide();
            $($tables[1]).hide();
            clearCanvas(ctx);
            $textBeforeFormula.show();
            $($textAnim[5]).show();
            drawArrow(ctx, $textAnim[5], animElements[4]);
            drawEllipseNearElement(ctx, animElements[4], 120, 47, -100, -10);
            $textBeforeFormula.hide();
            //$continueBtn.show();
            isQuestion22Answered = true;
            currentSlide = -1;
            break;
        }

        currentSlide++;
      });
    }

    if ((player.section_currently_showing == 23) && (!isQuestion23Answered)) {
      var $tables = $('#digfir_section_23 table');
      var $canvas = $('#canvas-slide24');
      var $textAnim = $('#digfir_section_23 .text-anim');
      var $textFormula = $('.text-anim-formula');
      var currentSlide = 1;
      var $continueBtn = $('#step_next_button');
      canvas = $('#canvas-slide24')[0];
      var ctx = canvas.getContext('2d');
      var $textPs = $('#digfir_section_23 .text-ps');

      var animElements = [
        $('.anim-elem-slide23[data-value=0]')[0],
        $('.anim-elem-slide23[data-value=1]')[0],
        $('.anim-elem-slide23[data-value=2]')[0],
        $('.anim-elem-slide23[data-value=3]')[0],
        $('.anim-elem-slide23[data-value=4]')[0],
        $('.anim-elem-slide23[data-value=5]')[0],
        $('.anim-elem-slide23[data-value=6]')[0],
        $('.anim-elem-slide23[data-value=7]')[0],
        $('.anim-elem-slide23[data-value=8]')[0],
        $('.anim-elem-slide23[data-value=9]')[0],
        $('.anim-elem-slide23[data-value=10]')[0],
        $('.anim-elem-slide23[data-value=11]')[0],
        $('.anim-elem-slide23[data-value=12]')[0],
        $('.anim-elem-slide23[data-value=13]')[0],
        $('.anim-elem-slide23[data-value=14]')[0]
      ];

      // init
      $tables.hide();
      $textAnim.hide();
      //$continueBtn.hide();

      $($tables[0]).show();
      clearCanvas(ctx);

      $canvas.unbind();
      $canvas.click(function () {

        safe_log(currentSlide);

        switch (currentSlide) {
          // 1 table
          case 0:
            $($textAnim[13]).hide();
            $($textAnim[13]).hide();
            $($tables[1]).hide();
            $($tables[0]).show();
            clearCanvas(ctx);
            break;
          case 1:
            clearCanvas(ctx);
            $textPs.show();
            $($textAnim[0]).show();
            drawArrow(ctx, $textAnim[0], animElements[0], true, [10, -5]);
            drawEllipseNearElement(ctx, animElements[0], 150, 40, -76, -6);
            break;
          case 2:
            $($textAnim[1]).show();
            $($textAnim[0]).hide();
            drawArrow(ctx, $textAnim[1], animElements[1], true, [10, -25]);
            drawEllipseNearElement(ctx, animElements[1], 150, 60, -75, -4);
            break;
          case 3:
            $($textAnim[2]).show();
            $($textAnim[1]).hide();
            drawArrow(ctx, $textAnim[2], animElements[2], true, [10, -25]);
            drawEllipseNearElement(ctx, animElements[2], 150, 60, -76, -2);
            break;
          case 4:
            $($textAnim[3]).show();
            $($textAnim[2]).hide();
            drawArrow(ctx, $textAnim[3], animElements[3], true, [5, -50]);
            drawEllipseNearElement(ctx, animElements[3], 40, 80, -16, -2);
            break;
          case 5:
            $($textAnim[4]).show();
            $($textAnim[3]).hide();
            drawArrow(ctx, $textAnim[4], animElements[4], true, [10, -0]);
            drawEllipseNearElement(ctx, animElements[4], 80, 40, -40, -7);
            drawArrow(ctx, $textAnim[4], animElements[5], false, [10, -25]);
            drawEllipseNearElement(ctx, animElements[5], 80, 70, -40, -5);
            break;
          case 6:
            $($textAnim[5]).show();
            $($textAnim[4]).hide();
            drawArrow(ctx, $textAnim[5], animElements[6], true, [10, -25]);
            drawEllipseNearElement(ctx, animElements[6], 80, 70, -40, -5);
            break;
          case 7:
            $($textAnim[5]).hide();
            $($tables[0]).hide();
            $textPs.hide();
            $($tables[1]).show();
            clearCanvas(ctx);
            $($textAnim[7]).show();
            drawArrow(ctx, $textAnim[7], animElements[7]);
            drawEllipseNearElement(ctx, animElements[7], 80, 30, -34, 1);
            break;
          //                  case 7:  break;
          case 8:
            $($textAnim[8]).show();
            $($textAnim[7]).hide();
            drawArrow(ctx, $textAnim[8], animElements[8]);
            drawEllipseNearElement(ctx, animElements[8], 100, 30, -58, 1);
            break;
          case 9:
            $($textAnim[9]).show();
            $($textAnim[8]).hide();
            drawArrow(ctx, $textAnim[9], animElements[9]);
            drawEllipseNearElement(ctx, animElements[9], 80, 30, -34, 1);
            break;
          case 10:
            $($textAnim[10]).show();
            $($textAnim[9]).hide();
            drawArrow(ctx, $textAnim[10], animElements[10]);
            drawEllipseNearElement(ctx, animElements[10], 100, 30, -58, 1);
            break;
          case 11:
            $($textAnim[11]).show();
            $($textAnim[10]).hide();
            drawArrow(ctx, $textAnim[11], animElements[11]);
            drawEllipseNearElement(ctx, animElements[11], 80, 30, -34, 1);
            break;
          case 12:
            $($textAnim[12]).show();
            $($textAnim[11]).hide();
            drawArrow(ctx, $textAnim[12], animElements[12]);
            drawEllipseNearElement(ctx, animElements[12], 100, 30, -58, 1);
            break;
          case 13:
            $($textAnim[13]).show();
            $($textAnim[12]).hide();
            drawArrow(ctx, $textAnim[13], animElements[11]);
            drawEllipseNearElement(ctx, animElements[11], 90, 100, -40, -66);
            //$continueBtn.show();
            isQuestion23Answered = true;
            currentSlide = -1;
            break;
        }
        currentSlide++;
      });
    }
  },
  initialize2: function () {
    this._super();

    document.querySelectorAll('[data-hidden=true]>[data-type=figure_text]').forEach(function (caption) {
      caption.setAttribute('aria-hidden', 'true');
    });

    /* eslint-disable no-unused-vars */
    var firstSelectActivity = new SelectActivity(firstSelectActivityParams);

    var secondSelectActivity = new SelectActivity(secondSelectActivityParams);

    var tableActivity = new TableActivity(tableActivityParams);

    var tableActivity1 = new TableActivity(tableActivity1Params);

    var graphAcivity = new GraphActivity(graphActivityParams);
    /* eslint-enable no-unused-vars */
  }
});

window.player = new PlayerChapter09();




/***/ }),

/***/ 41:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ 78:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(23);


/***/ })

},[78]);
//# sourceMappingURL=ch09_ria_lewandowski2e.js.map