webpackJsonp([8],{

/***/ 25:
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(43);

var ProjectPlayer = __webpack_require__(0);
var GraphActivity = __webpack_require__(3);
var SelectActivity = __webpack_require__(2);
var TableActivity = __webpack_require__(4);
var Pattern = __webpack_require__(7);

var pattern1 = null;
var pattern2 = null;

var graphActivityParams = {
  items: [
    {
      selectParams: {
        options: ['3.53', '3', '3.55', '3.54', '3.5', '3.6'],
        container: '#graph-dd-1',
        id: 'graph-select-11-',
        ariaLabelledby: 't1 t2 t3 t4'
      },
      correctOptionIndex: 0
    },
    {
      selectParams: {
        options: ['4', '4.57', '4.6', '4.55', '4.5', '4.61'],
        container: '#graph-dd-2',
        id: 'graph-select-12-',
        ariaLabelledby: 't1 t2 t3 t4'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['5', '5.1', '5.17', '5.2', '5.07', '5.15'],
        container: '#graph-dd-3',
        id: 'graph-select-13-',
        ariaLabelledby: 't1 t2 t3 t4'
      },
      correctOptionIndex: 2
    },
    {
      selectParams: {
        options: ['8.05', '8.2', '8', '8.1', '8.15', '8.18'],
        container: '#graph-dd-4',
        id: 'graph-select-14-',
        ariaLabelledby: 't1 t2 t3 t4'
      },
      correctOptionIndex: 3
    }
  ],
  patternParams: {
    fillColor: 'red',
    elements: ['[fill="orange"]'],
  },
  question_index: 23,
  correctFeedback: 'Correct!',
  incorrectFeedback: 'Max attempts reached.',
  feedbackContainer: '#digfir_section_32 .feedback_graph',
  submitButton: '#digfir_section_32 .submit_graph',
  graphContainerSelector: '#digfir_section_32 .activity_graph',
  showAnswer: window.mheAdditionalActivities.chapter_11_graph_2.showAnswer
};

var firstSelectActivityParams = {
  items: [
    {
      selectParams: {
        options: [
        '1',
        '2',
        '3',
        '4',
        '5'],
        container: '#first-select-activity .item-1 .dropdown-container',
        id: 'select-11-',
        ariaLabelledby: 'item-1'
      },
      correctOptionIndex: 4
    },
    {
      selectParams: {
        options: [
          '1',
          '2',
          '3',
          '4',
          '5'],
        container: '#first-select-activity .item-2 .dropdown-container',
        id: 'select-12-',
        ariaLabelledby: 'item-2'
      },
      correctOptionIndex: 3
    },
    {
      selectParams: {
        options: [
          '1',
          '2',
          '3',
          '4',
          '5'],
        container: '#first-select-activity .item-3 .dropdown-container',
        id: 'select-13-',
        ariaLabelledby: 'item-3'
      },
      correctOptionIndex: 2
    },
    {
      selectParams: {
        options: [
          '1',
          '2',
          '3',
          '4',
          '5'],
        container: '#first-select-activity .item-4 .dropdown-container',
        id: 'select-14-',
        ariaLabelledby: 'item-4'
      },
      correctOptionIndex: 0
    },
    {
      selectParams: {
        options: [
          '1',
          '2',
          '3',
          '4',
          '5'],
        container: '#first-select-activity .item-5 .dropdown-container',
        id: 'select-15-',
        ariaLabelledby: 'item-5'
      },
      correctOptionIndex: 1
    }
  ],
  question_index: 18,
  incorrectFeedback: 'This is not the correct placement for this step.',
  correctFeedback: 'This is the correct placement for this step.',
  reducePossibleOptions: true,
  withShift: false,
  feedbackContainer: '#first-select-activity-fb-container',
  submitButton: '#first-select-activity-1-submit-btn',
};

var secondSelectActivityParams = {
  items: [
    {
      selectParams: {
        options: ['0.488', '0.180', '25.390',
        '0.000', '0.618', '187.746', '110.663'],
        container: '#second-select-activity .item-1 .dropdown-container',
        id: 'select-21-',
        ariaLabelledby: 'second-select-item-1'
      },
      correctOptionIndex: 5
    },
    {
      selectParams: {
        options: ['0.488', '0.180', '25.390',
        '0.000', '0.618', '187.746', '110.663'],
        container: '#second-select-activity .item-2 .dropdown-container',
        id: 'select-22-',
        ariaLabelledby: 'second-select-item-2'
      },
      correctOptionIndex: 3
    },
    {
      selectParams: {
        options: ['0.488', '0.180', '25.390',
        '0.000', '0.618', '187.746', '110.663'],
        container: '#second-select-activity .item-3 .dropdown-container',
        id: 'select-23-',
        ariaLabelledby: 'second-select-item-3'
      },
      correctOptionIndex: 6
    },
    {
      selectParams: {
        options: ['0.488', '0.180', '25.390',
        '0.000', '0.618', '187.746', '110.663'],
        container: '#second-select-activity .item-4 .dropdown-container',
        id: 'select-24-',
        ariaLabelledby: 'second-select-item-4'
      },
      correctOptionIndex: 3
    },
    {
      selectParams: {
        options: ['0.488', '0.180', '25.390',
        '0.000', '0.618', '187.746', '110.663'],
        container: '#second-select-activity .item-5 .dropdown-container',
        id: 'select-25-',
        ariaLabelledby: 'second-select-item-5'
      },
      correctOptionIndex: 2
    },
    {
      selectParams: {
        options: ['0.488', '0.180', '25.390',
        '0.000', '0.618', '187.746', '110.663'],
        container: '#second-select-activity .item-6 .dropdown-container',
        id: 'select-26-',
        ariaLabelledby: 'second-select-item-6'
      },
      correctOptionIndex: 3
    },
    {
      selectParams: {
        options: ['0.488', '0.180', '25.390',
        '0.000', '0.618', '187.746', '110.663'],
        container: '#second-select-activity .item-7 .dropdown-container',
        id: 'select-27-',
        ariaLabelledby: 'second-select-item-7'
      },
      correctOptionIndex: 4
    },
    {
      selectParams: {
        options: ['0.488', '0.180', '25.390',
        '0.000', '0.618', '187.746', '110.663'],
        container: '#second-select-activity .item-8 .dropdown-container',
        id: 'select-28-',
        ariaLabelledby: 'second-select-item-8'
      },
      correctOptionIndex: 0
    },
    {
      selectParams: {
        options: ['0.488', '0.180', '25.390',
        '0.000', '0.618', '187.746', '110.663'],
        container: '#second-select-activity .item-9 .dropdown-container',
        id: 'select-29-',
        ariaLabelledby: 'second-select-item-9'
      },
      correctOptionIndex: 1
    }
  ],
  question_index: 22,
  incorrectFeedback: 'This is not the correct placement for this step.',
  correctFeedback: 'This is the correct placement for this step.',
  reducePossibleOptions: true,
  withShift: false,
  feedbackContainer: '#second-select-activity-fb-container',
  submitButton: '#second-select-activity-2-submit-btn',
  correctOptionIndexDuplicates: [0, 0, 0, 2, 0, 0, 0]
};

/* eslint max-len: "off" */
// slide 27
var tableActivity1Params = {
  tableActivitySelector: '#table-activity-1',
  svgSelector: '#digfir_section_26 .activity_svg',
  slidesAriaLives: [
    '',
    'Here are the rows for your TV main effect, Gender Main Effect, and TV*Gender Interaction.',
    'The df of TV, Gender, and TV multiply Gender are 1, 1, and 1. This is the df or degrees of freedom. This ANOVA has three dfs, one for each between-subjects main effect, and one for the interaction main effect.',
    'The df of error is 116 This is the within-subjects df or degrees of freedom.',
    'The F of TV, Gender, and TV multiply Gender are 300.297, 33.366, and 29.326 respectively. These are the F statistics, one for each main effect and one for the interaction. It represents the size of the difference between condition means compared to the size of the residual error. ',
    'The Sig. of TV, Gender, and TV multiply Gender are .000, 000, and .000. This is the p level or significance level. It represents the probability or likelihood that the results happened by chance. The lower the p level, the less likely the result happened by chance.',
    'The F score and p level will only tell you whether there is a significant difference. To determine which means are different, and the nature or direction of those differences, you need to look at the means via a post-hoc test when you are comparing more than two means. In addition, there are only two levels for TV and gender; we do not need to conduct a post-hoc test for these effects.',
    'The Partial Eta Squared of TV, Gender, and TV multiply gender are 0.721, 0.223, and 0.202 respectively. This is the effect size. It tells us the proportion of change in the dependent variable that is associated with being in the different groups of the independent variable or the interaction of the independent variables. '
  ],
  question_index: 20,
  slidesCount: 7,
  ellipsesCells: [
    {
      startId: '#table-1-ellipse-0-start',
      endId: '#table-1-ellipse-0-end'
    },
    {
      startId: '#table-1-ellipse-1-start',
      endId: '#table-1-ellipse-1-end'
    },
    {
      startId: '#table-1-ellipse-2',
      endId: '#table-1-ellipse-2'
    },
    {
      startId: '#table-1-ellipse-3-start',
      endId: '#table-1-ellipse-3-end'
    },
    {
      startId: '#table-1-ellipse-4-start',
      endId: '#table-1-ellipse-4-end'
    },
    {
      startId: '#table-1-ellipse-3-start',
      endId: '#table-1-ellipse-4-end'
    },
    {
      startId: '#table-1-ellipse-5-start',
      endId: '#table-1-ellipse-5-end'
    }
  ],
  onShowSlide: function (currentSlide, ellipses) {
    var currentEllipseIndex = currentSlide - 1;

    if (ellipses[currentEllipseIndex]) {
      ellipses[currentEllipseIndex].show();
    }

    ellipses.forEach(function (ellipse, index) {
      index !== currentEllipseIndex && ellipse.hide();
    });
  }
};

/* eslint max-len: "off" */
// slide 28
var tableActivity2Params = {
  tableActivitySelector: '#table-activity-2',
  svgSelector: '#digfir_section_27 .activity_svg',
  slidesAriaLives: [
    '',
    'The mean of 1 Hour Total is 4.05. This is the average or mean (M) happiness rating for one hour of TV. In addition, in this case, this value tells us that happiness ratings were higher after one hour of TV daily for a week than for four hours of TV daily. The results from the ANOVA support this finding that those exposed to only one hour of TV had higher happiness ratings overall.',
    'The standard deviation of 1 Hour Total is 0.723. This is the standard deviation of happiness rating for one hour of TV.',
    'The mean of 4 Hours Total is 2.45. This is the average or mean (M) happiness rating for four hour of TV. In addition, in this case, this value tells us that happiness ratings were higher after one hour of TV daily for a week than for four hours of TV daily. The results from the ANOVA support this finding that those exposed to only one hour of TV had higher happiness ratings overall.',
    'The standard deviation of 4 Hours Total is .502. This is the standard deviation of happiness rating for four hour of TV.',
    'The mean of Male for Total is 2.98. This is the average or mean (M) happiness rating for males. In addition, in this case, this value tells us that happiness ratings were higher for females than males. The results from ANOVA support this finding that females had higher happiness ratings overall.',
    'The standard deviation of Male for Total is .748. This is the standard deviation (SD) of happiness rating for males.',
    'The mean of Female for Total is 3.52. This is the average or mean (M) happiness rating for females.',
    'The standard deviation of Female for Total is 1.172. This is the standard deviation (SD) of happiness rating for females.',
    'The Mean of Total Male and Female are 2.98 and 3.52 respectively. In this case, the means tell us that happiness ratings were higher for females than males.  The results from the ANOVA support this finding that females had higher happiness ratings overall.',
    'The Mean of 1 hour Total  and 4 hours Total  are 4.05 respectively. In this case, the means tell us that happiness ratings were higher after 1 hour of TV daily for a week than for 4 hours of TV daily. The results from the ANOVA support this finding that those exposed to only 1 hour of TV had higher happiness ratings overall',
    'The Mean of 1 hour Total  and 4 hours Total  are 2.45 respectively. In this case, the means tell us that happiness ratings were higher after 1 hour of TV daily for a week than for 4 hours of TV daily. The results from the ANOVA support this finding that those exposed to only 1 hour of TV had higher happiness ratings overall'
  ],
  slidesCount: 11,
  question_index: 21,
  ellipsesCells: [
    {
      startId: '#table-2-ellipse-1',
      endId: '#table-2-ellipse-1'
    },
    {
      startId: '#table-2-ellipse-2',
      endId: '#table-2-ellipse-2'
    },
    {
      startId: '#table-2-ellipse-3',
      endId: '#table-2-ellipse-3'
    },
    {
      startId: '#table-2-ellipse-4',
      endId: '#table-2-ellipse-4'
    },
    {
      startId: '#table-2-ellipse-5',
      endId: '#table-2-ellipse-5'
    },
    {
      startId: '#table-2-ellipse-6',
      endId: '#table-2-ellipse-6'
    },
    {
      startId: '#table-2-ellipse-7',
      endId: '#table-2-ellipse-7'
    },
    {
      startId: '#table-2-ellipse-8',
      endId: '#table-2-ellipse-8'
    },
    {
      startId: '#table-2-ellipse-5',
      endId: '#table-2-ellipse-7'
    },
    {
      startId: '#table-2-ellipse-1',
      endId: '#table-2-ellipse-1'
    },
    {
      startId: '#table-2-ellipse-3',
      endId: '#table-2-ellipse-3'
    }
  ],
  onShowSlide: function (currentSlide, ellipses) {
    var currentEllipseIndex = currentSlide - 1;

    if (ellipses[currentEllipseIndex]) {
      ellipses[currentEllipseIndex].show();
    }

    ellipses.forEach(function (ellipse, index) {
      index !== currentEllipseIndex && ellipse.hide();
    });
  }
};

var PlayerChapter11 = ProjectPlayer.extend({
  update_navigation: function () {
    var currentSection = this.section_currently_showing;

    if (currentSection) {
      if (this.last_available_section > currentSection) {
        this.sections[currentSection].passed = 'passed';
      }
    }

    if (this.sections[currentSection].passed
      && this.sections[currentSection].passed === 'no_passed') {
      return;
    }
    // show/hide the "next" button as appropriate
    var last_section = this.showing_last_section();
    if (this.last_available_section > this.section_currently_showing
      && !last_section) {
      UI_Elements.toggle_button('step_next_button', true);
    }
    else {
      UI_Elements.toggle_button('step_next_button', false);
    }

    if (last_section && player.activity.answered_all_queries) {
      player.show_completion_message();
    }
  },
  show_section: function (section_to_show) {
    'use strict';
    this._super(section_to_show);

    var continueBtnNode = $('#step_next_button .ui-button-text'),
      currentSection = player.section_currently_showing;

    switch (currentSection) {
      case 20:
        continueBtnNode.text('Submit to IRB');
        break;
      case 22:
        continueBtnNode.text('Collect Data');
        break;
      case 23:
        continueBtnNode.text('Access Data');
        break;
      case 28:
        if (!pattern1) {
          pattern1 = new Pattern({
            id: 'pattern1',
            svgContainerSelector: '#digfir_section_28 #G2Dbox svg',
            elementsSelector: '[fill="#D40013"]'
          });
        }
        break;
      case 32:
        if (!pattern2) {
          pattern2 = new Pattern({
            id: 'pattern2',
            svgContainerSelector: '#digfir_section_32 #G2Dbox_2 svg',
            elementsSelector: '[fill="#D40013"]'
          });
        }
        break;
      default:
        continueBtnNode.text('Continue');
    }
  },
  initialize2: function () {
    this._super();

    document.querySelectorAll('[data-hidden=true]>[data-type=figure_text]').forEach(function (caption) {
      caption.setAttribute('aria-hidden', 'true');
    });

    var graphAcivity = new GraphActivity(graphActivityParams); // Slide 33
    //console.log(graphAcivity);

    var firstSelectActivity = new SelectActivity(firstSelectActivityParams); // Slide 23
    //console.log(firstSelectActivity);

    var secondSelectActivity = new SelectActivity(secondSelectActivityParams); // Slide 32
    //console.log(secondSelectActivity);

    var tableActivity1 = new TableActivity(tableActivity1Params); // Slide 27
    //console.log(tableActivity1);

    var tableActivity2 = new TableActivity(tableActivity2Params); // Slide 28
    //console.log(tableActivity2);

    if (platform.ie) {
      $('#digfir_section_28 .table-activity-container').css('width', '95%');
    }
  }
});

window.player = new PlayerChapter11();


/***/ }),

/***/ 43:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ 80:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(25);


/***/ })

},[80]);
//# sourceMappingURL=ch11_ria_lewandowski2e.js.map