webpackJsonp([0],{

/***/ 31:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var project_player = __webpack_require__(0);
window.player = new project_player();

Hidden_Query = __webpack_require__(60);

CB_Query = __webpack_require__(13);

Essay_Query = __webpack_require__(58);

MC_Query = __webpack_require__(61);

window.Standard_Dialog = __webpack_require__(64);

/**
 * function doing something
 * @param {String} answer answer
 */
// brb: not using this version
function submit_hidden_arga_question_not_used (answer) { // eslint-disable-line no-unused-vars
    // if we aren't in ARGA mode then we don't need to do anything
    /* We can't do this or we won't be able to move past these
       activities in non-ARGA mode */
    /*
    if (!player.ARGA_running) {
        safe_log("submit_hidden_arga_question: not in ARGA mode");
        return;
    }
    */

    var curr_sec = player.section_currently_showing;
    var $sec = $('#digfir_section_' + curr_sec);
    var $question = $sec.find('[data-type=\'question\']');

    if (answer === undefined) {
        answer = 'completed';
    }

    // safe_log("submit_hidden_arga_question");

    // there should only be 1 hidden question on the page and
    // no other arga questions
    if ($question.length !== 1) {
        // safe_log("submit_hidden_arga_question: no arga question on page");
        return;
    }

    // make sure this is a hidden question
    var $submit_button = $question.find('input[type=\'button\']');
    if ($submit_button.length == 0) {
        // safe_log("submit_hidden_arga_question: no hidden arga question on page");
         return;
    }

    var question_index = $question.attr('data-question_index');

    // only submit if the question hasn't been submitted already
    if (!player.activity.questions[question_index].is_complete()) {
        var query = player.activity.questions[question_index].queries[0];
        // safe_log("submitting hidden ARGA question");
        query.setUserAnswer(answer);
        $submit_button.click();

        // if LASX == current section then increment LASX by 1
        if (!player.ARGA_running) {
            var las = NaN; // Get_ARGA_Data("LASX");
            var curr_sec = this.section_currently_showing;

            if (curr_sec !== null && las == curr_sec) {
                // safe_log("incrementing LASX to " + (curr_sec + 1));
                Set_ARGA_Data('LASX', curr_sec + 1);
                this.activity.ARGA_submit_data(false);
                this.last_available_section = curr_sec + 1;
            }
            else {
                // safe_log("LASX does not need to be incremented.");
            }
        }
    }
    else {
        // safe_log("Not submitting. Question is complete.");
    }
}


/***/ }),

/***/ 58:
/***/ (function(module, exports, __webpack_require__) {

var es_subtype = __webpack_require__(67);
var project_es = es_subtype.extend({

  user_has_answered: function () {
    if ($.trim($('#query_answer_' + this.query_index).val()) != '') {
      return true;
    }
 else {
      return false;
    }
  },
  getHTML: function (mode) {
    // Start with the query text, if there
    var html = this.query_text_html();
    var val = '';
    var disabled = '';

    if (this.userHasAnswered() && mode !== 'preview') {
      // Make sure we convert double quotes to &#34; for placement in 'value="xxx"' attributes
      // Convert breaks to newlines
      val = this.user_answer.replace(/<br *(\/)?>/g, '\n');

      // Also disable the input if we're not in review_correct_incorrect mode
      disabled = (mode) ? 'disabled' : '';
    }

    var queryTextId = 'query_text_' + this.query_index;
    var feedbackId = 'essay_question_evaluation_feedback_' + this.query_index;

    // Add short label for mobile devices
    var labelledBy = platform.mobile ? ' aria-label="Enter your answer for the question" aria-labelledby="' +
      feedbackId + '"' : ' aria-labelledby="' + feedbackId + ' ' + queryTextId + '"';

    html += '<textarea id="query_answer_' + this.query_index + '" class="query_essay_ta" '
      + disabled + labelledBy + '>' + val + '</textarea>';

    return html;
  },
  getQueryTextForARGA: function () {
    if (this.query_text_for_ARGA != null && this.query_text_for_ARGA != '') {
      return this.query_text_for_ARGA;
    }
 else if (this.query_text != null && this.query_text != '') {
      var cleaned_text = clean_query_text(this.query_text);
      return cleaned_text;
    }
 else {
      return 'see page for question context';
    }
  }

});

module.exports = project_es;


/***/ }),

/***/ 60:
/***/ (function(module, exports) {

var project_hidden = Hidden_Query.extend({

    user_has_answered: function () {
        return true;
    }

});

module.exports = project_hidden;


/***/ }),

/***/ 61:
/***/ (function(module, exports, __webpack_require__) {

/**
 * Doing something
 * @param {String} query_text text to clear
 * @return {String} string
 */
/*
function clean_query_text (query_text) {
  query_text = query_text.replace(/<span [^>]+>/g, '');
  query_text = query_text.replace(/<\/span>/g, '');
  query_text = query_text.replace(/<em>/g, '');
  query_text = query_text.replace(/<\/em>/g, '');
  query_text = query_text.replace(/<strong>/g, '');
  query_text = query_text.replace(/<\/strong>/g, '');
  query_text = query_text.replace(/<br\/>/g, '');
  query_text = query_text.replace(/<br>/g, '');
  query_text = query_text.replace(/’/g, '\'');
  query_text = query_text.replace(/“/g, '"');
  query_text = query_text.replace(/”/g, '"');
  query_text = query_text.replace(/—/g, '--');
  return query_text;
}
*/

var MC_Query = __webpack_require__(68);
var dom = __webpack_require__(6);
var common = __webpack_require__(5);
var platform = __webpack_require__(1).run_on;

var project_mc = MC_Query.extend({
  getQueryTextForARGA: function () {
    if (this.query_text_for_ARGA != null && this.query_text_for_ARGA != '') {
      return this.query_text_for_ARGA;
    }
 else if (this.query_text != null && this.query_text != '') {
      var cleaned_text = clean_query_text(this.query_text);
      return cleaned_text;
    }
 else {
      return 'see page for question context';
    }
  },

  user_has_answered: function () {
    if ($('input:radio[name=query_answer_' + this.query_index + ']:checked').val() !== undefined) {
      return true;
    }
 else {
      return false;
    }
  },
  getHTML: function (mode) {
    // Initialize image map elements
    if (this.imagemap_initialized === false) {
      var question_jq = this.jq.parent();
      this.im_init(question_jq);
      this.imagemap_initialized = true;
    }

    // Wrap answers in radio group
    var html = '<fieldset class="mc_query_group">';

    // Add the query text
    html += this.query_text_html();

    for (var i = 0; i < this.choices.length; i++) {
      var index = this.choice_order[i];

      // If this is review mode
      var checked = '';
      var disabled = '';
      var ariaDisabled = '';
      var className = '';
      var mark = '';
      var radio_style = 'query_mc_other_choice';

      var markId = 'mark-hint-' + this.query_index + '-' + index;

      if (mode === 'review' || mode === 'review_correct_incorrect' || mode === 'preview') {
        // If it is correct answer
        if (index === this.correct_answer_index) {
          // Mark it in green
          if (mode !== 'review_correct_incorrect' || index === this.user_answer_index) {
            className = 'mc_correct_choice';
            // html += '<span class="query_correct_feedback_span" aria-hidden="true">&nbsp;</span>';
            radio_style = 'query_mc_correct_choice';
            mark = '<span id="' + markId + '" class="visually-hidden">Correct</span>';
          }

          // Mark it in red
        }
 else if (index === this.user_answer_index && this.md.no_correct_answer !== 'true') {
          className = 'mc_incorrect_choice';
          radio_style = 'query_mc_incorrect_user_choice';
          // html += '<span class="query_incorrect_feedback_span" aria-hidden="true">&nbsp;</span>';
          mark = '<span id="' + markId + '" class="visually-hidden">Incorrect</span>';
        }

        // And the input should be disabled, unless we're in review_correct_incorrect mode
        // TB doesn't read "disabled" for disabled radio-buttons, when attribute "disabled" was set
        if (mode !== 'review_correct_incorrect') {
          disabled = platform.android ? '' : 'disabled';
          ariaDisabled = platform.android ? 'aria-disabled="true"' : '';
        }
      }

      // If this is the choice the user clicked, it's checked (regardless of mode)
      checked = (index === this.user_answer_index) ? 'checked' : '';

      var id = 'query_answer_' + this.query_index + '_' + index;
      var labelId = 'query_answer_label_' + this.query_index + '_' + index;

      // Hide label to avoid twice reading, but not for FF, otherwise FF doesn't read
      var labelHidden = platform.ios || platform.android || platform.mac ? 'aria-hidden="true"' : '';

      var labelText = this.choices[index].replace('…',
        '<span aria-hidden="true">…</span><span class="visually-hidden">three dots</span>');

      var labelledByIds = labelId;
      var innerMark = mark;
      var outerMark = '';

      if (platform.mac && mark.length) {
        labelledByIds += ' ' + markId;
        innerMark = '';
        outerMark = mark;
      }

      html +=
        '<div class="mc_option"><div aria-hidden="true" class="' + radio_style +
        '_icon"></div><div class="' + radio_style + '"><input class="query_mc_choice_radio ' + className +
        '" type="radio" name="query_answer_' + this.query_index + '" id="' + id + '" ' +
        ' value="' + index + '" ' + checked + ' ' + disabled + ' aria-labelledby="' +
        labelledByIds + '" ' + ariaDisabled + '/></div>' +
        '<span aria-hidden="true">' + this.choice_ids[index] + '.</span><label ' +
        labelHidden + ' id="' + labelId + '" for="' + id + '">' +
        labelText + ' ' + innerMark + '</label>' + outerMark + '</div>';
    }

    // Get a possible feedback string for each option
    // html += this.correct_incorrect_feedback();

    html += '</fieldset>';

    html = dom.createHTML(html);
    common.parseMathExpresions(html);

    return html;
  },
  correct_incorrect_feedback: function (mode, is_correct) {
    var html = '';

    // get correct answer as presented to user
    for (var i = 0; i < this.choices.length; ++i) {
      if (this.choice_order[i] == this.correct_answer_index) {
        break;
      }
    }

    // if the question explicitly defines feedback for the user's answer, use it as the feedback
    if (this.user_answer_index != null && this.choices_fb[this.user_answer_index] != null) {
      html += this.choices_fb[this.user_answer_index];
    }

    // the correct answer will be highlighted in green, so there's no reason to say anything more.

    // now, if we got any feedback, enclose it in a div
    if (html != '') {
      html = '<div class=\'query_mc_feedback_correct_incorrect\'>' + html + ' Try again!</div>';
    }

    return html;
  }

});

module.exports = project_mc;


/***/ }),

/***/ 64:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Created by Abdulnasyrova on 19.04.2017.
 */

var runOn = __webpack_require__(1).run_on;
var KEY_CODES = __webpack_require__(5).KEYCODES;


var Standard_Dialog = function() {
  var $manuscript = $('#manuscript');
  var $body = $('body');
  var $dialog, $content;
  var options = {};

  return {
    open: function(html, opt) {
      // Extend default options
      options = $.extend(true, {
        width: 450,
        modal: true,
        draggable: false,
        resizable: false,
        ariaLabelledby: null,
        ariaDescribedby: ''
      }, (opt || {}));

      // Set buttons
      if (options.buttons === 'none') {
        options.buttons = null;
      }
      else if (options.buttons === 'OK' || !options.buttons) {
        options.buttons = [ { text: 'OK', click: Standard_Dialog.close } ];
      }

      // Remove previous dialog
      $('#standard_dialog_div').dialog('close').remove();

      if (options.modal) {
        $body.css('overflow', 'hidden');
      }

      // Hide other content from reader for mobile devices
      $manuscript.attr('aria-hidden', 'true');

      $dialog = $('<div id="standard_dialog_div"></div>');
      $content = $('<div class="dialog-div">' + (html || '') + '</div>');

      $dialog.append($content);
      $dialog.dialog(options);

      // If we open toc we use as description only instruction in the top of dialog and not links
      var isMenu = $content.find('#toc_head').length;
      var labelledByPart = isMenu ? 'toc_head' : 'standard_dialog_div';

      var labelledBy = options.ariaLabelledby === null ? 'ui-dialog-title-standard_dialog_div ' + labelledByPart : options.ariaLabelledby;

      // set so ugly, that don't break current functionality with aria-labelledby
      var $parentDialog = $dialog.parent().attr({
        'tabindex': '0',
        'role': 'dialog'
      });
      var _labeledBy = !runOn.android ? labelledBy : null;
      var _descrBy = options.ariaDescribedby;

      _labeledBy && $parentDialog.attr('aria-labelledby', _labeledBy);
      _descrBy && $parentDialog.attr('aria-describedby', _descrBy);

      $parentDialog.find('#ui-dialog-title-standard_dialog_div').attr({
        'role': 'heading',
        'aria-level': '1'
      });

      // Remove close btn
      $('.ui-dialog-titlebar-close').remove();

      var $lastBtn = $parentDialog.find('button').last();
      var $firstBtn = $parentDialog.find('button').first();

      // Attach events
      $parentDialog.bind('keydown', function(e) {
        var code = e.keyCode || e.which;

        if (code === KEY_CODES.ESC) {
          Standard_Dialog.close(true);
        }

        if (e.target === this && e.shiftKey && code === KEY_CODES.TAB) {
          e.preventDefault();
          $lastBtn.focus();
        }
      });
      $lastBtn.bind('keydown', function(e) {
        var code = e.keyCode || e.which;

        if (!e.shiftKey && code === KEY_CODES.TAB) {
          $parentDialog.focus();
          e.preventDefault();
        }
      });

      if (runOn.android) {
        // For android we set focus on dialog in any cases
        $parentDialog.focus();
      }
      else if (isMenu) {
        // If it is menu put focus on first link
        $parentDialog.find('a').first().focus();
      }
      else {
        // For other platform we set focus on first button
        $firstBtn.focus();
      }

      $(document.head).parent().css('overflow', 'hidden');
    },

    // for now alert is just like any other dialog; we could change that later.
    wait: function(html, opt) {
      options = opt || {};
      options.buttons = 'none';
      Standard_Dialog.open(html, options);
    },

    alert: function(html, opt) {
      Standard_Dialog.open(html, opt);
    },

    close: function() {
      // Show other content
      $manuscript.removeAttr('aria-hidden');

      if ($dialog) {
        $dialog.dialog('close').remove();
      }
      else {
        $("#standard_dialog_div").remove();
      }

      if (options.from) {
        options.from.focus();
      }

      if (options.modal) {
        $body.css('overflow', 'auto');
      }

      $(document.head).parent().css('overflow', 'auto');
    }
  };
}();

module.exports = Standard_Dialog;


/***/ }),

/***/ 65:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var UtilsShuffle = {};

UtilsShuffle.currentQuestionIsRandomize = function() {
  return Boolean(player.activity.question_being_initialized.md["randomize-choices"]);
};

UtilsShuffle.getFilledArr = function(maxValue) {
  var arr = [];

  for (var i = 0; i < maxValue; i++) {
    arr[i] = i;
  }
  arr.shuffle();

  return arr;
};

UtilsShuffle.shuffleArrays = function() {
  var arrs = [];
  var length = arguments[0].length;
  var shuffleArr = UtilsShuffle.getFilledArr(length);
  var lengthArguments = arguments.length;
  var callBackFunctions = null;

  if (typeof arguments[lengthArguments - 1] === 'function') {
    lengthArguments--;
    callBackFunctions = arguments[lengthArguments];
  }

  // create new example of arrays
  for (var i = 0; i < lengthArguments; i++) {
    arrs[i] = [];
  }

  // shuffle of this arrays
  for (var index = 0; index < length; index++) {
    var el = shuffleArr[index];

    for (var countArrFirst = 0; countArrFirst < lengthArguments; countArrFirst++) {
      arrs[countArrFirst].push(arguments[countArrFirst][el]);
    }
  }

  // return this arrays example
  if (callBackFunctions) {
    callBackFunctions.apply(null, arrs);
  }
  else {
    for (var countArrSecond = 0; countArrSecond < lengthArguments; countArrSecond++) {
      arguments[countArrSecond] = arrs[countArrSecond];
    }
  }

  // return array of shuffle index
  return shuffleArr;
};

module.exports = UtilsShuffle;

/***/ }),

/***/ 67:
/***/ (function(module, exports, __webpack_require__) {

/**
 * Created by Abdulnasyrova on 20.04.2017.
 */

var platform = __webpack_require__(1).run_on;

var Query = Essay_Query.extend({
  /**
   * Get correct HTML for query text and set id for following use
   * @returns {string} Html for query text
   */
  query_text_html: function() {
    if (this.query_text !== '' && this.md._hide_query_text !== 'true') {
      // Replace newlines with <br />
      var text = jQuery.trim(this.query_text).replace(/\n/g, '<br>');
      var id = 'query_text_' + this.query_index;

      return '<div class="query_text" id="' + id + '">' + text + '</div>';
    } else {
      return '';
    }
  },
  /**
   * Add aria-labelledby for textarea
   * @param {string} mode
   * @returns {string} Html for the question
   */
  getHTML: function(mode) {
    // Start with the query text, if there
    var html = this.query_text_html();
    var val = '';
    var disabled = '';

    if (this.userHasAnswered() && mode !== 'preview') {
      // Make sure we convert double quotes to &#34; for placement in 'value="xxx"' attributes
      // Convert breaks to newlines
      val = this.user_answer.replace(/<br *(\/)?>/g, '\n');

      // Also disable the input if we're not in review_correct_incorrect mode
      disabled = (mode !== 'review_correct_incorrect') ? 'disabled' : '';
    }

    var queryTextId = 'query_text_' + this.query_index;
    var feedbackId = 'essay_question_evaluation_feedback_' + this.query_index;

    // Add short label for mobile devices
    var labelledBy = platform.mobile ? ' aria-label="Enter your answer for the question" aria-labelledby="' + feedbackId + '"' :
    ' aria-labelledby="' + feedbackId + ' ' + queryTextId + '"';

    html += '<textarea id="query_answer_' + this.query_index + '" class="query_essay_ta" ' + disabled + labelledBy + '>' + val + '</textarea>';

    return html;
  },
  /**
   * Fix typo evaluation
   * @param {string} html
   */
  set_evaluation_feedback: function(html) {
    // Set message below the textarea
    html = '<div class="essay_question_evaluation_feedback" id="essay_question_evaluation_feedback_' + this.query_index + '">' + html + '</div>';
    $('#essay_question_evaluation_feedback_' + this.query_index).remove();
    $('#query_answer_' + this.query_index).after(html);

    if (platform.ios) {
      player.shadow_speech.talk('');
      player.shadow_speech.talk($(html).text());
    }
  }
});

module.exports = Query;


/***/ }),

/***/ 68:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var common = __webpack_require__( 5 );
var dom = __webpack_require__( 6 );
var UtilsShuffle = __webpack_require__( 65 );
var platform = __webpack_require__(1).run_on;

var Query = MC_Query.extend( {
  parseSource: function() {
    this._super.apply( this, arguments );
    if ( UtilsShuffle.currentQuestionIsRandomize() ) {
      var shuffleArr = UtilsShuffle.shuffleArrays( this.choices, this.choices_fb, function( choices, choices_fb ) {
        this.choices = choices;
        this.choices_fb = choices_fb;
      }.bind( this ) );

      this.correct_answer_index = shuffleArr.indexOf( this.correct_answer_index );
    }
  },

  /**
   * Get correct HTML for query text and set id for following use
   * @returns {string} Html for query text
   */
  query_text_html: function() {
    if ( this.query_text != '' && this.md._hide_query_text !== 'true' ) {
      // Replace newlines with <br />
      var text = jQuery.trim( this.query_text ).replace( /\n/g, '<br>' );

      // Set id for use it to associate query text with input radios
      if ( platform.ios ) {
        // iOS doesn't see legend
        return '<div class="query_text">' + text + '</div>';
      }
      else {
        return '<legend class="query_text">' + text + '</legend>';
      }
    }
    else {
      return '';
    }
  },
  getHTML: function( mode ) {
    // Initialize image map elements
    if ( this.imagemap_initialized === false ) {
      var question_jq = this.jq.parent();
      this.im_init( question_jq );
      this.imagemap_initialized = true;
    }

    // Wrap answers in radio group
    var html = '<fieldset class="mc_query_group">';

    // Add the query text
    html += this.query_text_html();

    for ( var i = 0; i < this.choices.length; i++ ) {
      var index = this.choice_order[ i ];

      // If this is review mode
      var checked = '';
      var disabled = '';
      var ariaDisabled = '';
      var className = '';
      var mark = '';

      if ( mode === 'review' || mode === 'review_correct_incorrect' || mode === 'preview' ) {
        // If it is correct answer
        if ( index === this.correct_answer_index ) {
          // Mark it in green
          if ( mode !== 'review_correct_incorrect' || index === this.user_answer_index ) {
            className = 'mc_correct_choice';
            html += '<span class="query_correct_feedback_span" aria-hidden="true">&nbsp;</span>';
            mark = '<span class="visually-hidden">Correct</span>';
          }

          // Mark it in red
        } else if ( index === this.user_answer_index && this.md.no_correct_answer !== 'true' ) {
          className = 'mc_incorrect_choice';
          html += '<span class="query_incorrect_feedback_span" aria-hidden="true">&nbsp;</span>';
          mark = '<span class="visually-hidden">Incorrect</span>';
        }

        // And the input should be disabled, unless we're in review_correct_incorrect mode
        // TB doesn't read "disabled" for disabled radio-buttons, when attribute "disabled" was set
        if (mode !== 'review_correct_incorrect') {
          disabled = platform.android ? '' : 'disabled';
          ariaDisabled = platform.android ? 'aria-disabled="true"' : '';
        }
      }

      // If this is the choice the user clicked, it's checked (regardless of mode)
      checked = (index === this.user_answer_index) ? 'checked' : '';

      var id = 'query_answer_' + this.query_index + '_' + index;
      var labelId = 'query_answer_label_' + this.query_index + '_' + index;

      // Hide label to avoid twice reading, but not for FF, otherwise FF doesn't read
      var labelHidden = platform.mobile ? 'aria-hidden="true"' : '';

      html +=
        '<input class="query_mc_choice_radio ' + className + '" type="radio" name="query_answer_' + this.query_index + '" id="' + id + '" ' +
        ' value="' + index + '" ' + checked + ' ' + disabled + ' aria-labelledby="' + labelId + '" ' + ariaDisabled + '/>' +
        '<label ' + labelHidden + ' id="' + labelId + '" for="' + id + '">' + this.choices[ index ] + ' ' + mark + '</label><br>';
    }

    // Get a possible feedback string for each option
    html += this.correct_incorrect_feedback();

    html += "</fieldset>";

    html = dom.createHTML( html );
    common.parseMathExpresions( html );

    return html;
  },
  /**
   * If we have individual feedback for each mc option
   * @returns {string} Html for the feedback
   */
  correct_incorrect_feedback: function() {
    // Try get individual feedback for option
    var index = this.choice_order[this.user_answer_index]; // Get correct index, if choices are scrambled
    var html = this.choices_fb[index] || '';

    // If we got any feedback, enclose it in a div
    if (html) {
      html = '<div class="query_mc_feedback_correct_incorrect">' + html + '</div>';
    }

    return html;
  }
} );

module.exports = Query;


/***/ }),

/***/ 86:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(31);


/***/ })

},[86]);
//# sourceMappingURL=lewandowski2e_research_in_action.js.map

