(function() {
    'use strict';
    var isPassed = false,
        continueBtn,
        total_sum = 31,
        answer = [0, 0 , 0, 0, 0];
    window.mheAdditionalActivities = window.mheAdditionalActivities || {};

    window.mheAdditionalActivities.chapter_14_multiple_choice = {};
    window.mheAdditionalActivities.chapter_14_multiple_choice.initialize = function( section ) {
        Init( section );
    };
    window.mheAdditionalActivities.chapter_14_multiple_choice.show = function( section ) {
        Show( section );
    };


    var Init = function( section ) {
        var $container = $('#digfir_section_4 .dnd_sheet'),
            $hints = $('#digfir_section_4 .hint_item'),
            $drag_item,
            $drag_position,
            $dropId,
            $dragId;
        $container.disableSelection();
        $($hints).hide();

        $('#digfir_section_4 .drag_item').draggable({
            containment: $container,
            start: function ( event, ui ) {
                $drag_item = $(this);
                $drag_position = $drag_item.position();
                $dragId = $(this).attr('id').slice(-1);
                answer[$dragId-1] = 0;
            },
            tolerance: 'pointer'
        });

        $('#digfir_section_4 .drag_list').droppable({
            drop: function() {
                $($hints).hide();
                $($hints).last().show();
                $drag_item.animate({ top: $drag_position.top, left: $drag_position.left }, 200);
            },
            tolerance: 'touch'
        });

        $('#digfir_section_4 .drop').droppable({
            drop: function() {
                $drag_item.animate({ top: $(this).position().top, left: $(this).position().left }, 200);
                $dropId = $(this).attr('id').slice(-1);
                if ($dropId == $dragId) {
                    answer[$dropId-1] = 1;
                    $($hints).hide();
                    $($hints[$dropId-1]).show();
                    $(this).droppable('disable');
                    $($drag_item).draggable('disable').css('opacity', '1');
                    var answer_binary = parseInt( answer.join(''), 2 );
                    if (answer_binary == total_sum) {
                        $(continueBtn).css('display', 'block');
                        section.passed = "passed";
                        isPassed = true;
                    }
                }
                else{
                    $($hints).hide();
                    $($hints).last().show();
                }
            }
        });

        $($container).droppable({
            drop: function() {
                $($hints).hide();
                $($hints).last().show();
            }
        });
    }; //end init

    var Show = function( section ) {
        continueBtn = document.getElementById('step_next_button' );
        if( isPassed ){
            continueBtn.style.display = 'block';
            section.passed = "passed";
        } else {
            continueBtn.style.display = 'none';
            section.passed = "no_passed";
        }
    };

})();