(function() {
    'use strict';
    var isPassed = false,
        continueBtn,
        total_sum = 511,
        answer = [ 0, 0 , 0, 0, 0, 0, 0, 0, 0 ];
    window.mheAdditionalActivities = window.mheAdditionalActivities || {};

    window.mheAdditionalActivities.chapter_14_multiple_choice_3 = {};
    window.mheAdditionalActivities.chapter_14_multiple_choice_3.initialize = function( section ) {
        Init( section );
    };
    window.mheAdditionalActivities.chapter_14_multiple_choice_3.show = function( section ) {
        Show( section );
    };
    var Init = function( section ) {
        var $tests = $('.correctly, .wrong');
        $tests.css('color', 'transparent');

        function check() {
            var checkAnswer = parseInt( answer.join(''), 2 );
            if (checkAnswer == total_sum) {
                continueBtn.style.display = 'block';
                section.passed = "passed";
                isPassed = true;
            }
        }

        $tests.click(function(){
           var $testId = $(this).attr('id').slice(-1),
               $testClass = $(this).attr('class');
            if ($testClass == 'correctly') {
                $(this).css('color', '#0bbf03');
                $('.wrong').eq($testId).css('color', 'transparent');
                answer[$testId] = 1;
                check();
            } else {
                $(this).css('color', '#b81900');
                $('.correctly').eq($testId).css('color', 'transparent');
                answer[$testId] = 0;
                check();
            }
        })

    }; //end init

    var Show = function( section ) {
        continueBtn = document.getElementById('step_next_button' );
        if( isPassed ){
            continueBtn.style.display = 'block';
            section.passed = "passed";
        } else {
            continueBtn.style.display = 'none';
            section.passed = "no_passed";
        }
    };

})();