webpackJsonp([2],{

/***/ 21:
/***/ (function(module, exports, __webpack_require__) {

/*eslint-disable*/
__webpack_require__(39);

var ProjectPlayer = __webpack_require__(0);

var SelectActivity = __webpack_require__(2);

__webpack_require__(56);
var TableActivity = __webpack_require__(4);

function inherit (proto) {
  function F() {}
  F.prototype = proto;
  var object = new F;
  return object;
}

function SelectActivity7 () {
  SelectActivity.apply(this, arguments);
}
SelectActivity7.prototype = inherit(SelectActivity.prototype);
SelectActivity7.prototype.constructor = SelectActivity7;

SelectActivity7.prototype.getAttemptsMessage = function () {
  return this.attemptsCounter + ' of ' + this.params.attemptsCount + ' attempts. ' +  this.params.incorrectFeedback + ' Try again.';
};

SelectActivity7.prototype.onSubmit = function () {
  var redColor = '#CC0000';

  this.attemptsCounter++;

  if (this.params.onSubmit) {
    this.params.onSubmit(this.attemptsCounter, this.params.attemptsCount);
  }
  else {
    if (this.isNotAllAnswered()) {
      this.attemptsCounter--;
      this.setFeedback('You must answer the question before submitting.', 1000, '', 'Submission error', redColor);
    }
    else if (this.isCorrect()) {
      this.correct = true;
      this.setFeedback(this.params.correctFeedback, 1000, ' Points awarded: 1 out of 1');
      this.finishActivity();
    }
    else if (this.attemptsCounter < this.params.attemptsCount) {
      this.reset();
      this.setFeedback(this.getAttemptsMessage());
    }
    else {
      this.setFeedback('Max attempts reached. ' + this.params.incorrectFeedback + this.params.incorrectFeedbackInstruction,
        1000, ' Points awarded: 1 out of 1');
      this.finishActivity();
    }
  }
};

var firstSelectActivityParams = {
  section: player.sections[26],
  items: [
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6'],
        container: '#first-select-activity .item-1 .dropdown-container',
        id: 'select-11-',
        ariaLabelledby: 'item-1'
      },
      correctOptionIndex: 3
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6'],
        container: '#first-select-activity .item-2 .dropdown-container',
        id: 'select-12-',
        ariaLabelledby: 'item-2'
      },
      correctOptionIndex: 3
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6'],
        container: '#first-select-activity .item-3 .dropdown-container',
        id: 'select-13-',
        ariaLabelledby: 'item-3'
      },
      correctOptionIndex: 3
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6'],
        container: '#first-select-activity .item-4 .dropdown-container',
        id: 'select-14-',
        ariaLabelledby: 'item-4'
      },
      correctOptionIndex: 2
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6'],
        container: '#first-select-activity .item-5 .dropdown-container',
        id: 'select-15-',
        ariaLabelledby: 'item-5'
      },
      correctOptionIndex: 3
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6'],
        container: '#first-select-activity .item-6 .dropdown-container',
        id: 'select-16-',
        ariaLabelledby: 'item-6'
      },
      correctOptionIndex: 4
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6'],
        container: '#first-select-activity .item-7 .dropdown-container',
        id: 'select-17-',
        ariaLabelledby: 'item-7'
      },
      correctOptionIndex: 4
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6'],
        container: '#first-select-activity .item-8 .dropdown-container',
        id: 'select-18-',
        ariaLabelledby: 'item-8'
      },
      correctOptionIndex: 4
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6'],
        container: '#first-select-activity .item-9 .dropdown-container',
        id: 'select-19-',
        ariaLabelledby: 'item-9'
      },
      correctOptionIndex: 4
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6'],
        container: '#first-select-activity .item-10 .dropdown-container',
        id: 'select-110-',
        ariaLabelledby: 'item-10'
      },
      correctOptionIndex: 2
    }
  ],
  incorrectFeedback: 'This is not the correct reverse-coded value.',
  correctFeedback: 'This reverse-coded value is correct.',
  reducePossibleOptions: false,
  feedbackContainer: '#first-select-activity-fb-container',
  submitButton: '#first-select-activity-1-submit-btn',
  question_index: 15
};
//   correctAnswer: [4, 4, 4, 3, 4, 5, 5, 5, 5, 3],


var secondSelectActivityParams = {
  items: [
    {
      selectParams: {
        options: ['14', '15', '17', '18', '20', '25', '23'],
        container: '#second-select-activity .item-1 .dropdown-container',
        id: 'select-21-',
        ariaLabelledby: 'second-select-item-1'
      },
      correctOptionIndex: 4
    },
    {
      selectParams: {
        options: ['14', '15', '17', '18', '20', '25', '23'],
        container: '#second-select-activity .item-2 .dropdown-container',
        id: 'select-22-',
        ariaLabelledby: 'second-select-item-2'
      },
      correctOptionIndex: 2
    },
    {
      selectParams: {
        options: ['14', '15', '17', '18', '20', '25', '23'],
        container: '#second-select-activity .item-3 .dropdown-container',
        id: 'select-23-',
        ariaLabelledby: 'second-select-item-3'
      },
      correctOptionIndex: 0
    },
    {
      selectParams: {
        options: ['14', '15', '17', '18', '20', '25', '23'],
        container: '#second-select-activity .item-4 .dropdown-container',
        id: 'select-24-',
        ariaLabelledby: 'second-select-item-4'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['14', '15', '17', '18', '20', '25', '23'],
        container: '#second-select-activity .item-5 .dropdown-container',
        id: 'select-25-',
        ariaLabelledby: 'second-select-item-5'
      },
      correctOptionIndex: 4
    },
    {
      selectParams: {
        options: ['14', '15', '17', '18', '20', '25', '23'],
        container: '#second-select-activity .item-6 .dropdown-container',
        id: 'select-26-',
        ariaLabelledby: 'second-select-item-6'
      },
      correctOptionIndex: 5
    },
    {
      selectParams: {
        options: ['14', '15', '17', '18', '20', '25', '23'],
        container: '#second-select-activity .item-7 .dropdown-container',
        id: 'select-27-',
        ariaLabelledby: 'second-select-item-7'
      },
      correctOptionIndex: 6
    },
    {
      selectParams: {
        options: ['14', '15', '17', '18', '20', '25', '23'],
        container: '#second-select-activity .item-8 .dropdown-container',
        id: 'select-28-',
        ariaLabelledby: 'second-select-item-8'
      },
      correctOptionIndex: 3
    },
    {
      selectParams: {
        options: ['14', '15', '17', '18', '20', '25', '23'],
        container: '#second-select-activity .item-9 .dropdown-container',
        id: 'select-29-',
        ariaLabelledby: 'second-select-item-9'
      },
      correctOptionIndex: 5
    },
    {
      selectParams: {
        options: ['14', '15', '17', '18', '20', '25', '23'],
        container: '#second-select-activity .item-10 .dropdown-container',
        id: 'select-210-',
        ariaLabelledby: 'second-select-item-10'
      },
      correctOptionIndex: 3
    }
  ],
  incorrectFeedback: 'This is not the correct value.',
  correctFeedback: 'This value is correct.',
  reducePossibleOptions: false,
  feedbackContainer: '#second-select-activity-fb-container',
  submitButton: '#second-select-activity-submit-btn',
  question_index: 16
};
//   correctAnswer: [20, 17, 14, 15, 20, 25, 23, 18, 25, 18],


/* eslint max-len: "off" */
var tableActivity2Params = {
  tableActivitySelector: '#table-activity-2',
  svgSelector: '#digfir_section_33 .activity_svg',
  slidesAriaLives: [
    '',
    'The final exam grade for Pearson correlation is 0.68, which is the correlation between the two variables. The closer this value is to 1.0, the stronger the two variables are related.',
    'The final exam grade for Pearson correlation is 0.68, which is the correlation between the two variables. Because this value is positive, the two variables are positively related. Higher scores on the other variable and vice versa. If this value had been negative, than higher scores on one variable would have been associated with lower scores on the other variable.',
    'The final exam grade for Sig. 2-tailed is .000. This is the p level. It represents the probability or likelihood that the results happened by chance. If this number is lower than 0.05, then you can conclude that you have a statistically significant correlation, or that two variables are related. In this example, .000 is very low and this significant. Typically, this value would be expressed in an article as p.001 since p levels can never truly be zero. ',
  ],
  question_index: 18,
  slidesCount: 3,
};

var PlayerChapter7 = ProjectPlayer.extend({
  show_section: function (section_to_show) {
    'use strict';
    this._super(section_to_show);

    var continueBtnNode = $('#step_next_button .ui-button-text'),
      currentSection = player.section_currently_showing;

    if (currentSection === 21) {
      continueBtnNode.text('Access Data');
    }
    else {
      continueBtnNode.text('Continue');
    }
  },
  initialize2: function () {
    this._super();

    // forEach not supported by Edge
    /*
    document.querySelectorAll('[data-hidden=true]>[data-type=figure_text]').forEach(function (caption) {
      caption.setAttribute('aria-hidden', 'true');
    });
    */
    $('[data-hidden=true]>[data-type=figure_text]').each(function() {
      var $this = $(this);
      $this.attr('aria-hidden','true');
    })

    var firstSelectActivity = new SelectActivity7(firstSelectActivityParams);
    //console.log(firstSelectActivity);

    var secondSelectActivity = new SelectActivity7(secondSelectActivityParams);
    //console.log(secondSelectActivity);

    var tableActivity2 = new TableActivity(tableActivity2Params);
    //console.log(tableActivity2);

    if (platform.ie) {
      $('#digfir_section_28 .table-activity-container').css('width', '95%');
    }

    var $first_arrow_target = $('#first-arrow-target');
    $first_arrow_target.html('<span>'+$first_arrow_target.text()+'</span>');
    var $second_arrow_target = $('#second-arrow-target');
    $second_arrow_target.html('<span>'+$second_arrow_target.text()+'</span>');

  }
});

window.player = new PlayerChapter7();


/***/ }),

/***/ 39:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ 56:
/***/ (function(module, exports) {

/*eslint-disable*/
(function () {
  'use strict';
  var isPassed = false;

  window.mheAdditionalActivities = window.mheAdditionalActivities || {};

  window.mheAdditionalActivities.chapter_7_canvas = {};
  window.mheAdditionalActivities.chapter_7_canvas.initialize = function (section) {
    Init(section);
  };
  window.mheAdditionalActivities.chapter_7_canvas.show = function (section) {
    Show(section);
  };

  var Init = function (section) {
    var $svg = $('#digfir_section_33 svg');
    var $tdTarget = $('#first-arrow-target');
    
    var targetTDInitialXShift = 580;
    
    var data = [
      //[230, 283, targetTDInitialXShift, 180],
      [230, 283, targetTDInitialXShift, 170],
      //[230, 283, targetTDInitialXShift, 180],
      [230, 283, targetTDInitialXShift, 170],
      [230, 283, targetTDInitialXShift, 202]
    ],
      leftArrow = [
        //[targetTDInitialXShift, 180, 565, 177],
        [targetTDInitialXShift, 170, 565, 167],
        //[targetTDInitialXShift, 180, 565, 177],
        [targetTDInitialXShift, 170, 565, 167],
        [targetTDInitialXShift, 202, 566, 213]
      ],
      rightArrow = [
        //[targetTDInitialXShift, 180, 569, 191],
        [targetTDInitialXShift, 170, 569, 181],
        //[targetTDInitialXShift, 180, 569, 191],
        [targetTDInitialXShift, 170, 569, 181],
        [targetTDInitialXShift, 202, 563, 197]
      ];
    var section_node = section.jq[0],
      messages,
      msg_length,
      svgNode,
      svgLine,
      svgRightArrow,
      svgLeftArrow,
      slide_count,
      i;

    svgNode = section_node.querySelector('svg');
    var $svgNode = $('svg');

    //    svgLine = svgNode.children[0];
    svgLine = $svgNode.children()[0];

    svgRightArrow = $svgNode.children()[1];
    svgLeftArrow = $svgNode.children()[2];
    messages = section_node.querySelectorAll('.message');
    msg_length = messages.length;

    for (i = 0; i < msg_length; i += 1) {
      messages[i].style.display = "none";
    }

    slide_count = 0;
    function nextMessage() {
      if (slide_count >= msg_length) {
        // hide last message box and reset counter
        $(svgLine).hide();
        $(svgLeftArrow).hide();
        $(svgRightArrow).hide();
        $(messages[slide_count - 1]).hide();
        
        slide_count = 0;

        if (!isPassed) {
          updateStatus();
        }

        return;
      }

      // If we have message box on the page - hide him and show next
      if (slide_count) {
        $(svgLine).hide();
        $(svgLeftArrow).hide();
        $(svgRightArrow).hide();
        $(messages[slide_count - 1]).hide();
      }
      $(messages[slide_count]).show();

      setTimeout(function () {
        drawArrow();
      }, 0);

      // step increase
      slide_count += 1;
    }

    function drawArrow() {
      var index = slide_count - 1;

      //safe_log("drawArrow: slide_count = " + slide_count);
  
      /**
       * Calculate svg rect each time for case, when activity will be resized
       */
      var targetRect = $tdTarget[0].getBoundingClientRect();
      var svgRect = $svg[0].getBoundingClientRect();
      var svgXShift = (targetRect.left - svgRect.left + targetRect.width / 2) - targetTDInitialXShift;

      var message_class = ".first";
      if (slide_count == 2) {
        message_class = ".second";
      }
      else if (slide_count == 3) {
        message_class = ".third";
      }

      var $message = $('.message'+message_class);
      var message_pos = $message.position();
      var message_width = $message.outerWidth();
      var message_mt = Number($message.css('margin-top').replace(/px/, ""));
      var message_pt = Number($message.css('padding-top').replace(/px/, ""));

      if (isNaN(message_mt)) {
        message_mt = 0;
      }
      if (isNaN(message_pt)) {
        message_pt = 0;
      }

      //safe_log(message_pos);
      //safe_log([message_mt, message_pt]);
      
      var target_id = (slide_count < 3) ? "#first-arrow-target" : "#second-arrow-target";
      var $target = $(target_id).find('span');

      var target_pos = $target.position();
      var target_height = $target.outerHeight();
      var target_width = $target.outerWidth();
      //safe_log(target_pos);

      var arrow_tip_y = target_pos.top + (target_height);
      var arrow_tip_x = target_pos.left; // + (target_width/2);

      var arrow_start_x = message_width/2;
      var arrow_start_y = message_pos.top + message_mt + message_pt;

      if (index >= 0) {
        //svgLine.setAttribute("x1", data[index][0]);
        svgLine.setAttribute("x1", arrow_start_x);
        //svgLine.setAttribute("y1", data[index][1]);
        svgLine.setAttribute("y1", arrow_start_y);
        //svgLine.setAttribute("x2", data[index][2] + svgXShift);
        svgLine.setAttribute("x2", arrow_tip_x);
        //svgLine.setAttribute("y2", data[index][3]);
        svgLine.setAttribute("y2", arrow_tip_y);


        var angle = Math.atan2(arrow_tip_y-arrow_start_y,arrow_tip_x-arrow_start_x);
        var headlen = 15;

        var diag_end_x = arrow_tip_x-headlen*Math.cos(angle-Math.PI/7);
        var diag_end_y = arrow_tip_y-headlen*Math.sin(angle-Math.PI/7);

        svgRightArrow.setAttribute("x1", arrow_tip_x);
        svgRightArrow.setAttribute("y1", arrow_tip_y);
        svgRightArrow.setAttribute("x2", diag_end_x);
        svgRightArrow.setAttribute("y2", diag_end_y);

        var diag_end_x = arrow_tip_x-headlen*Math.cos(angle+Math.PI/7);
        var diag_end_y = arrow_tip_y-headlen*Math.sin(angle+Math.PI/7);

        svgLeftArrow.setAttribute("x1", arrow_tip_x);
        svgLeftArrow.setAttribute("y1", arrow_tip_y);
        svgLeftArrow.setAttribute("x2", diag_end_x);
        svgLeftArrow.setAttribute("y2", diag_end_y);

        /*
        //svgRightArrow.setAttribute("x1", rightArrow[index][0] + svgXShift);
        //svgRightArrow.setAttribute("y1", rightArrow[index][1]);
        svgRightArrow.setAttribute("x1", arrow_tip_x );
        svgRightArrow.setAttribute("y1", arrow_tip_y);
        svgRightArrow.setAttribute("x2", rightArrow[index][2] + svgXShift);
        svgRightArrow.setAttribute("y2", rightArrow[index][3]);

        //svgLeftArrow.setAttribute("x1", leftArrow[index][0] + svgXShift);
        //svgLeftArrow.setAttribute("y1", leftArrow[index][1]);
        svgLeftArrow.setAttribute("x1", arrow_tip_x );
        svgLeftArrow.setAttribute("y1", arrow_tip_y);
        svgLeftArrow.setAttribute("x2", leftArrow[index][2] + svgXShift);
        svgLeftArrow.setAttribute("y2", leftArrow[index][3]);
        */

        $(svgLine).show();
        $(svgLeftArrow).show();
        $(svgRightArrow).show();
      }
    }

    function updateStatus() {

      /*
      console.log("updateStatus");

      var continueBtn = document.getElementById('step_next_button');

      continueBtn.style.display = 'block';
      window.player.sections[33].passed = "passed";

      isPassed = true;
      */
    }

    svgNode.addEventListener('click', nextMessage);
  }; //end init

  var Show = function (section) {
    /*
    var continueBtn = document.getElementById('step_next_button');

    if (isPassed) {
      continueBtn.style.display = 'block';
      window.player.sections[33].passed = "passed";
    } else {
      continueBtn.style.display = 'none';
      window.player.sections[33].passed = "no_passed";
    }
    */
  };

})();


/***/ }),

/***/ 76:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(21);


/***/ })

},[76]);
//# sourceMappingURL=ch07_ria_lewandowski2e.js.map