webpackJsonp([9],{

/***/ 24:
/***/ (function(module, exports, __webpack_require__) {

/*eslint-disable*/
__webpack_require__(42);
// var platform = require('lib/utils').run_on;

var ProjectPlayer = __webpack_require__(0);
var SelectActivity = __webpack_require__(2);
var TableActivity = __webpack_require__(4);
var GraphActivity = __webpack_require__(3);
var Pattern = __webpack_require__(7);

function inherit (proto) {
  function F() {}
  F.prototype = proto;
  var object = new F;
  return object;
}

function TableActivity10 () {
  TableActivity.apply(this, arguments);
}
TableActivity10.prototype = inherit(TableActivity.prototype);
TableActivity10.prototype.constructor = TableActivity10;

TableActivity10.prototype.showNextSlide = function () {
  this.currentSlide++;

  this.backButton.attr('disabled') && this.enableButton(this.backButton);

  this.currentSlide === this.params.slidesCount && this.disableButton(this.nextButton);
  this.svg.style.display = 'block';

  this.clickOnTable();
};

TableActivity10.prototype.showPreviousSlide = function () {
  this.currentSlide--;

  this.nextButton.attr('disabled') && this.enableButton(this.nextButton);

  this.currentSlide === 0 && this.disableButton(this.backButton);

  for (var i = 0; i < this.params.slidesCount - 1; i++) {
      this.clickOnTable();
    }
  if(this.currentSlide === 0) {
    var $visibleMessage = $(this.params.tableMessageClassSelector + ':visible');
    $visibleMessage.length && $visibleMessage.hide();
    this.svg.style.display = 'none';
  }
};

var pattern2 = null;

var firstSelectActivityParams = {
  section: player.sections[23],
  items: [
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6', '7'],
        container: '#first-select-activity .item-1 .dropdown-container',
        id: 'select-11-',
        ariaLabelledby: 'item-1'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6', '7'],
        container: '#first-select-activity .item-2 .dropdown-container',
        id: 'select-12-',
        ariaLabelledby: 'item-2'
      },
      correctOptionIndex: 0
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6', '7'],
        container: '#first-select-activity .item-3 .dropdown-container',
        id: 'select-13-',
        ariaLabelledby: 'item-3'
      },
      correctOptionIndex: 2
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6', '7'],
        container: '#first-select-activity .item-4 .dropdown-container',
        id: 'select-14-',
        ariaLabelledby: 'item-4'
      },
      correctOptionIndex: 5
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6', '7'],
        container: '#first-select-activity .item-5 .dropdown-container',
        id: 'select-15-',
        ariaLabelledby: 'item-5'
      },
      correctOptionIndex: 6
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6', '7'],
        container: '#first-select-activity .item-6 .dropdown-container',
        id: 'select-16-',
        ariaLabelledby: 'item-6'
      },
      correctOptionIndex: 4
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6', '7'],
        container: '#first-select-activity .item-7 .dropdown-container',
        id: 'select-17-',
        ariaLabelledby: 'item-7'
      },
      correctOptionIndex: 3
    }
  ],
  question_index: 17,
  incorrectFeedback: 'This is not the correct placement for this step.',
  correctFeedback: 'This is the correct placement for this step.',
  reducePossibleOptions: true,
  withShift: true,
  feedbackContainer: '#first-select-activity-fb-container',
  submitButton: '#first-select-activity-1-submit-btn',
};

var secondSelectActivityParams = {
  items: [
    {
      selectParams: {
        options: ['0.000', '11.400', '3.133', '8.267', '58', '0.778', '2', '101.918', '0.001'],
        container: '#second-select-activity .item-1 .dropdown-container',
        id: 'select-21-',
        ariaLabelledby: 'second-select-item-1'
      },
      correctOptionIndex: 7
    },
    {
      selectParams: {
        options: ['0.000', '11.400', '3.133', '8.267', '58', '0.778', '2', '101.918', '0.001'],
        container: '#second-select-activity .item-2 .dropdown-container',
        id: 'select-22-',
        ariaLabelledby: 'second-select-item-2'
      },
      correctOptionIndex: 6
    },
    {
      selectParams: {
        options: ['0.000', '11.400', '3.133', '8.267', '58', '0.778', '2', '101.918', '0.001'],
        container: '#second-select-activity .item-3 .dropdown-container',
        id: 'select-23-',
        ariaLabelledby: 'second-select-item-3'
      },
      correctOptionIndex: 4
    },
    {
      selectParams: {
        options: ['0.000', '11.400', '3.133', '8.267', '58', '0.778', '2', '101.918', '0.001'],
        container: '#second-select-activity .item-4 .dropdown-container',
        id: 'select-24-',
        ariaLabelledby: 'second-select-item-4'
      },
      correctOptionIndex: 0
      //anotherCorrectChoices: [5, 6]
    },
    {
      selectParams: {
        options: ['0.000', '11.400', '3.133', '8.267', '58', '0.778', '2', '101.918', '0.001'],
        container: '#second-select-activity .item-5 .dropdown-container',
        id: 'select-25-',
        ariaLabelledby: 'second-select-item-5'
      },
      correctOptionIndex: 5
    },
    {
      selectParams: {
        options: ['0.000', '11.400', '3.133', '8.267', '58', '0.778', '2', '101.918', '0.001'],
        container: '#second-select-activity .item-6 .dropdown-container',
        id: 'select-26-',
        ariaLabelledby: 'second-select-item-6'
      },
      correctOptionIndex: 2
    },
    {
      selectParams: {
        options: ['0.000', '11.400', '3.133', '8.267', '58', '0.778', '2', '101.918', '0.001'],
        container: '#second-select-activity .item-7 .dropdown-container',
        id: 'select-27-',
        ariaLabelledby: 'second-select-item-7'
      },
      correctOptionIndex: 8
    },
    {
      selectParams: {
        options: ['0.000', '11.400', '3.133', '8.267', '58', '0.778', '2', '101.918', '0.001'],
        container: '#second-select-activity .item-8 .dropdown-container',
        id: 'select-28-',
        ariaLabelledby: 'second-select-item-8'
      },
      correctOptionIndex: 3
    },
    {
      selectParams: {
        options: ['0.000', '11.400', '3.133', '8.267', '58', '0.778', '2', '101.918', '0.001'],
        container: '#second-select-activity .item-9 .dropdown-container',
        id: 'select-29-',
        ariaLabelledby: 'second-select-item-9'
      },
      correctOptionIndex: 0
      //anotherCorrectChoices: [0, 6]
    },
    {
      selectParams: {
        options: ['0.000', '11.400', '3.133', '8.267', '58', '0.778', '2', '101.918', '0.001'],
        container: '#second-select-activity .item-10 .dropdown-container',
        id: 'select-210-',
        ariaLabelledby: 'second-select-item-10'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['0.000', '11.400', '3.133', '8.267', '58', '0.778', '2', '101.918', '0.001'],
        container: '#second-select-activity .item-11 .dropdown-container',
        id: 'select-211-',
        ariaLabelledby: 'second-select-item-11'
      },
      correctOptionIndex: 0
      //anotherCorrectChoices: [0, 5]
    }
  ],
  correctOptionIndexDuplicates: [2, 0, 0, 0, 0, 0, 0, 0, 0],
  question_index: 22,
  incorrectFeedback: 'Max attempts reached.',
  correctFeedback: 'Congratulations. You placed them in the correct order.',
  reducePossibleOptions: true,
  feedbackContainer: '#second-select-activity-fb-container',
  submitButton: '#second-select-activity-submit-btn',
};

var graphActivityParams = {
  items: [
    {
      selectParams: {
        options: ['52.36', '61.10', '38.98', '45.18', '52.83', '64.23'],
        container: '#graph-dd-1',
        id: 'graph-select-11-',
        ariaLabelledby: 'td-early td-early-male td-mean'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['52.36', '61.10', '38.98', '45.18', '52.83', '64.23'],
        container: '#graph-dd-2',
        id: 'graph-select-12-',
        ariaLabelledby: 'td-early td-early-female td-mean'
      },
      correctOptionIndex: 5
    },
    {
      selectParams: {
        options: ['52.36', '61.10', '38.98', '45.18', '52.83', '64.23'],
        container: '#graph-dd-3',
        id: 'graph-select-13-',
        ariaLabelledby: 'td-middle td-middle-male td-mean'
      },
      correctOptionIndex: 4
    }
  ],
  patternParams: {
    fillColor: 'red',
    elements: ['[fill="orange"]'],
  },
  question_index: 23,
  correctFeedback: 'Correct!',
  incorrectFeedback: 'Max attempts reached.',
  feedbackContainer: '#digfir_section_33 .feedback_graph',
  submitButton: '#digfir_section_33 .submit_graph',
  graphContainerSelector: '#digfir_section_33 .activity_graph',
  showAnswer: window.mheAdditionalActivities.chapter_10_graph_activity.showAnswer
};

/* eslint max-len: "off" */
var tableActivity1Params = {
  tableActivitySelector: '#table-activity-1',
  svgSelector: '#digfir_section_27 .activity_svg',
  slidesAriaLives: [
    '',
    'The df of Hours Sphericity Assumed is 2, and the df for Error (Hours) Sphericity Assumed is 58.  This is the df or degrees of freedom. An ANOVA has two dfs, one for the main effect (within-groups) and one for the error (residual).',
    'The F of Hours Sphericity Assumed is 67.230. This is the F statistic. It represents the size of the difference between condition means compared to the size of the residual error.',
    'The Sig. of Hours Sphericity Assumed is .000. This is the p level or significance level. It represents the probability or likelihood that the results happened by chance. The lover p level, the less likely the result happened by chance. This would be reported as p less than .001 in the results.',
    'The F and Sig of Hours Sphericity Assumed are 67.230 and .000 respectively. The F score and p level will only tell you whether there is a significant difference. To determine which means are different, and the nature or direction of those differences, you need to look at the means via a post-hoc test.',
    'Partial Eta squared of Hours Sphericity Assumed is .699. The eta squared is the effect size. It tells us the proportion of change in the dependent variable that is associated with being in the different groups of the independent variable.'
  ],
  slidesCount: 5,
  question_index: 19,
  ellipsesCells: [
    {
      startId: '#table-1-ellipse-1-start',
      endId: '#table-1-ellipse-1-end'
    }
  ],
  onShowSlide: function (currentSlide, ellipses) {
    if (currentSlide === 4) {
      ellipses[0].hide();
      ellipses[ellipses.length - 1].show();
    }
  }
};

var tableActivity2Params = {
  tableActivitySelector: '#table-activity-2',
  svgSelector: '#digfir_section_28 .activity_svg',
  slidesAriaLives: [
    '',
    "The results presented in the first two columns are from the post-hoc test, which compares each of the groups' means to all of the other groups' means.",

    'The Mean Difference of (I) Hour 1 for (J) Hour 2 equals minus 2.200. This is the difference between the mean happiness rating for the six hours of sleep and eight hours of sleep conditions. The mean difference is significant at the .05 level.',

    'The Mean Difference of (I) Hour 1 for (J) Hour 3 equals minus .133. This is the difference between the mean happiness rating for the six hours of sleep and ten hours of sleep conditions.',

    'The Mean Difference of (I) Hour 2 for (J) Hour 3 equals 2.067. This is the difference between the mean happiness rating for the eight hours of sleep and ten hours of sleep conditions. The mean difference is significant at the .05 level.',

    'The Sig. of (J) Hours 2, 3, 1, and 3 is .000, .808, .000, and .000 respectively. It means that happiness was different in the eight hours sleep condition from the six hours and ten hours sleep conditions, which had similar ratings. In addition, the post-hoc test tells us which comparisons between the means were significant. The p level tells us the significance level of that comparison.',
  ],
  slidesCount: 5,
  question_index: 20,
  ellipsesCells: [
    {
      startId: '#table-2-ellipse-start',
      endId: '#table-2-ellipse-end'
    }
  ],
  rectanglesCells: [
    {
      startId: '#table-2-rect-start',
      endId: '#table-2-rect-end'
    },
  ],
  onShowSlide: function (currentSlide, ellipses, rectangles) {
    if (currentSlide === 5 && currentSlide === 6) {
      ellipses[0].hide();
      ellipses[ellipses.length - 1].show();
    }
    if (rectangles === 1) {
      rectangles[0].hide();
      rectangles[rectangles.length - 1].show();
    }
  }
};

var tableActivity3Params = {
  tableActivitySelector: '#table-activity-3',
  svgSelector: '#digfir_section_29 .activity_svg',
  slidesAriaLives: [
    '',
    'The mean of six equals 1.77. This is the average or mean (M) happiness rating after six hours of sleep.',
    'The standard deviation of six equals .728. This the standard deviation (SD) of happiness rating after six hours of sleep.',
    'The mean of eight equals 3.97. This is the average or mean (M) happiness rating after eight hours of sleep.',
    'The standard deviation of eight equals .809. This is the standard deviation (SD) of happiness rating after eight hours of sleep.',
    'The mean of ten equals 1.90. This is the average or mean (M) happiness rating after ten hours of sleep.',
    'The standard deviation of ten equals .712. This is the standard deviation (SD) of happiness rating after ten hours of sleep.',
    'Values of the second column tell us that happiness ratings were highest after eight hours of sleep. The results from the post-hoc test support the finding that happiness ratings were similar for six and two hours of sleep, but increased significantly with eight hours of sleep.'
  ],
  slidesCount: 7,
  question_index: 21,
  ellipsesCells: [
    {
      startId: '#table-3-ellipse3-start',
      endId: '#table-3-ellipse3-end'
    }
  ],
  onShowSlide: function (currentSlide, ellipses) {
    if (currentSlide === 7) {
      ellipses[0].hide();
      ellipses[ellipses.length - 1].show();
    }
    else {
      ellipses[0].hide();
    }
  }
};

var PlayerChapter10 = ProjectPlayer.extend({

  show_section: function (section_to_show) {
    'use strict';
    this._super(section_to_show);

    var continueBtnNode = $('#step_next_button .ui-button-text'),
      currentSection = player.section_currently_showing;

    switch (currentSection) {
      case 21:
        continueBtnNode.text('Submit to IRB');
        break;
      case 23:
        continueBtnNode.text('Collect Data');
        break;
      case 24:
        continueBtnNode.text('Access Data');
        break;
      case 33:
        if (!pattern2) {
          pattern2 = new Pattern({
            id: 'pattern2',
            svgContainerSelector: '#digfir_section_33 #G2Dbox svg',
            elementsSelector: '[fill="#D40013"]',
          });
        }
        break;
      default:
        continueBtnNode.text('Continue');
    }
  },
  initialize2: function () {
    this._super();

    document.querySelectorAll('[data-hidden=true]>[data-type=figure_text]').forEach(function (caption) {
      caption.setAttribute('aria-hidden', 'true');
    });

    var firstSelectActivity = new SelectActivity(firstSelectActivityParams);
    //console.log(firstSelectActivity);

    var secondSelectActivity = new SelectActivity(secondSelectActivityParams);
    //console.log(secondSelectActivity);

    var tableActivity1 = new TableActivity10(tableActivity1Params);
    //console.log(tableActivity1);

    var tableActivity2 = new TableActivity10(tableActivity2Params);
    //console.log(tableActivity2);

    var tableActivity3 = new TableActivity10(tableActivity3Params);
    //console.log(tableActivity3);

    var graphAcivity = new GraphActivity(graphActivityParams);
    //console.log(graphAcivity);

    if (platform.ie) {
      $('#digfir_section_28 .table-activity-container').css('width', '95%');
    }
  }
});

window.player = new PlayerChapter10();


/***/ }),

/***/ 42:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ 79:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(24);


/***/ })

},[79]);
//# sourceMappingURL=ch10_ria_lewandowski2e.js.map