webpackJsonp([7],{

/***/ 26:
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(44);
var platform = __webpack_require__(1).run_on;

var ProjectPlayer = __webpack_require__(0);
var SelectActivity = __webpack_require__(2);
var TableActivity = __webpack_require__(4);
var GraphActivity = __webpack_require__(3);
var Pattern = __webpack_require__(7);

var pattern1 = null;
var pattern2 = null;

var firstSelectActivityParams = {
  section: player.sections[24],
  items: [
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6'],
        container: '#first-select-activity .item-1 .dropdown-container',
        id: 'select-11-',
        ariaLabelledby: 'item-1'
      },
      correctOptionIndex: 2
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6'],
        container: '#first-select-activity .item-2 .dropdown-container',
        id: 'select-12-',
        ariaLabelledby: 'item-2'
      },
      correctOptionIndex: 0
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6'],
        container: '#first-select-activity .item-3 .dropdown-container',
        id: 'select-13-',
        ariaLabelledby: 'item-3'
      },
      correctOptionIndex: 4
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6'],
        container: '#first-select-activity .item-4 .dropdown-container',
        id: 'select-14-',
        ariaLabelledby: 'item-4'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6'],
        container: '#first-select-activity .item-5 .dropdown-container',
        id: 'select-15-',
        ariaLabelledby: 'item-5'
      },
      correctOptionIndex: 3
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5', '6'],
        container: '#first-select-activity .item-6 .dropdown-container',
        id: 'select-16-',
        ariaLabelledby: 'item-6'
      },
      correctOptionIndex: 5
    }
  ],
  incorrectFeedback: 'This is not the correct placement for this step.',
  correctFeedback: 'This is the correct placement for this step.',
  reducePossibleOptions: true,
  withShift: true,
  feedbackContainer: '#first-select-activity-fb-container',
  submitButton: '#first-select-activity-1-submit-btn',
  question_index: 19,
};

var secondSelectActivityParams = {
  items: [
    {
      selectParams: {
        options: ['0.134', '8.948', '199.13', '0.774', '0.000', '92.247', '0.614'],
        container: '#second-select-activity .item-1 .dropdown-container',
        id: 'select-21-',
        ariaLabelledby: 'second-select-item-1'
      },
      correctOptionIndex: 5
    },
    {
      selectParams: {
        options: ['0.134', '8.948', '199.13', '0.774', '0.000', '92.247', '0.614'],
        container: '#second-select-activity .item-2 .dropdown-container',
        id: 'select-22-',
        ariaLabelledby: 'second-select-item-2'
      },
      correctOptionIndex: 4,
      //anotherCorrectChoices: [6, 7]
    },
    {
      selectParams: {
        options: ['0.134', '8.948', '199.13', '0.774', '0.000', '92.247', '0.614'],
        container: '#second-select-activity .item-3 .dropdown-container',
        id: 'select-23-',
        ariaLabelledby: 'second-select-item-3'
      },
      correctOptionIndex: 2
    },
    {
      selectParams: {
        options: ['0.134', '8.948', '199.13', '0.774', '0.000', '92.247', '0.614'],
        container: '#second-select-activity .item-4 .dropdown-container',
        id: 'select-24-',
        ariaLabelledby: 'second-select-item-4'
      },
      correctOptionIndex: 4,
      //anotherCorrectChoices: [4, 7]
    },
    {
      selectParams: {
        options: ['0.134', '8.948', '199.13', '0.774', '0.000', '92.247', '0.614'],
        container: '#second-select-activity .item-5 .dropdown-container',
        id: 'select-25-',
        ariaLabelledby: 'second-select-item-5'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['0.134', '8.948', '199.13', '0.774', '0.000', '92.247', '0.614'],
        container: '#second-select-activity .item-6 .dropdown-container',
        id: 'select-26-',
        ariaLabelledby: 'second-select-item-6'
      },
      correctOptionIndex: 4,
      //anotherCorrectChoices: [4, 6]
    },
    {
      selectParams: {
        options: ['0.134', '8.948', '199.13', '0.774', '0.000', '92.247', '0.614'],
        container: '#second-select-activity .item-7 .dropdown-container',
        id: 'select-27-',
        ariaLabelledby: 'second-select-item-7'
      },
      correctOptionIndex: 6
    },
    {
      selectParams: {
        options: ['0.134', '8.948', '199.13', '0.774', '0.000', '92.247', '0.614'],
        container: '#second-select-activity .item-8 .dropdown-container',
        id: 'select-28-',
        ariaLabelledby: 'second-select-item-8'
      },
      correctOptionIndex: 3
    },
    {
      selectParams: {
        options: ['0.134', '8.948', '199.13', '0.774', '0.000', '92.247', '0.614'],
        container: '#second-select-activity .item-9 .dropdown-container',
        id: 'select-29-',
        ariaLabelledby: 'second-select-item-9'
      },
      correctOptionIndex: 0
    },
  ],
  incorrectFeedback: 'Max attempts reached.',
  correctFeedback: 'Congratulations. You placed them in the correct order.',
  reducePossibleOptions: true,
  feedbackContainer: '#second-select-activity-fb-container',
  submitButton: '#second-select-activity-submit-btn',
  question_index: 24,
  correctOptionIndexDuplicates: [0, 0, 0, 0, 2, 0, 0]
};

var graphActivityParams = {
  items: [
    {
      selectParams: {
        options: ['5', '5.03', '3', '4', '5.5', '6'],
        container: '#graph-dd-1',
        id: 'graph-select-11-',
        ariaLabelledby: 'td-early td-early-male td-mean'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['4.57', '4', '4.3', '6', '5', '4.9'],
        container: '#graph-dd-2',
        id: 'graph-select-12-',
        ariaLabelledby: 'td-early td-early-female td-mean'
      },
      correctOptionIndex: 0
    },
    {
      selectParams: {
        options: ['6', '6.7', '6.27', '7', '5.9', '6.1'],
        container: '#graph-dd-3',
        id: 'graph-select-13-',
        ariaLabelledby: 'td-middle td-middle-male td-mean'
      },
      correctOptionIndex: 2
    },
    {
      selectParams: {
        options: ['5.1', '6', '4', '5.9', '5', '5.57'],
        container: '#graph-dd-4',
        id: 'graph-select-14-',
        ariaLabelledby: 'td-middle td-middle-female td-mean'
      },
      correctOptionIndex: 5
    },
    {
      selectParams: {
        options: ['8.3', '8.5', '8.4', '8', '8.10', '7'],
        container: '#graph-dd-5',
        id: 'graph-select-15-',
        ariaLabelledby: 'td-late td-late-male td-mean'
      },
      correctOptionIndex: 4
    },
    {
      selectParams: {
        options: ['6.60', '6', '6.9', '4', '5', '6.08'],
        container: '#graph-dd-6',
        id: 'graph-select-16-',
        ariaLabelledby: 'td-middle td-middle-male td-mean'
      },
      correctOptionIndex: 0
    }
  ],
  patternParams: {
    fillColor: 'red',
    elements: ['[fill="orange"]'],
  },
  question_index: 25,
  correctFeedback: 'Correct!',
  incorrectFeedback: 'Max attempts reached.',
  feedbackContainer: '#digfir_section_33 .feedback_graph',
  submitButton: '#digfir_section_33 .submit_graph',
  graphContainerSelector: '#digfir_section_33 .activity_graph',
  showAnswer: window.mheAdditionalActivities.chapter_12_graph_activity_1.showAnswer
};

/* eslint max-len: "off" */
// slide 29
var tableActivity1Params = {
  tableActivitySelector: '#table-activity-1',
  svgSelector: '#digfir_section_28 .activity_svg',
  slidesAriaLives: [
    '',
    'df of sleep (Sphericity Assumed), sleep multiply gender (Sphericity Assumed) and gender are equal  2, 2 and 1 respectively. This is the df or degrees of freedom. An ANOVA has three dfs, one for the within-subjects main effect, one for the between-subjects main effect, and one for the interaction main effect.',
    'F of sleep (Sphericity Assumed), sleep multiply Gender (Sphericity Assumed) and gender are 96.09, 2.402 and 147.109 respectively. These are the F statistics, one for each main effect and one for interaction. It represents the size of the difference between condition means compared to the size of the residual error.',
    'Sig. of sleep (Sphericity Assumed), sleep multiply Gender (Sphericity Assumed) and gender are .000, 0.95 and .000. This is the p level, or the significance level. It represents the probability or likelihood that the results happened by chance. The lower the p level, the less likely the results happened by chance. ',
    'The F and Sig. of sleep (Sphericity Assumed), sleep multiply Gender (Sphericity Assumed) and gender are the F and p  level, that  will only tell you whether there is a significant difference. To determine which means are different, and the nature or direction of those difference, you need to look at the means via a post-hoc test when you are comparing more than two means.',
    'The F and Sig of gender are 147.109 and .000 respectively. Since there are only two levels for gender, we do not need to conduct a post-hoc test for this effect ',
    'The Partial Eta Squared of sleep (Sphericity Assumed), sleep multiply Gender (Sphericity Assumed) and gender are 0.624, 0.04, and 0.717.The eta squared is the effect size. It tells us the proportion of change in the dependent variable that is associated with being in the different groups of the independent variable or the interaction of the independent variables.'
  ],
  slidesCount: 6,
  question_index: 21,
  ellipsesCells: [
    {
      startId: '#table-1-ellipse-1-start',
      endId: '#table-1-ellipse-1-end'
    },
    {
      startId: '#table-1-ellipse-2-start',
      endId: '#table-1-ellipse-2-end'
    },
    {
      startId: '#table-1-ellipse-3-start',
      endId: '#table-1-ellipse-3-end'
    }
  ],
  onShowSlide: function (currentSlide, ellipses) {
    if (currentSlide === 5) {
      ellipses[0].hide();
      ellipses[ellipses.length - 1].show();
    }
  }
};

var tableActivity2Params = {
  tableActivitySelector: '#table-activity-2',
  svgSelector: '#digfir_section_29 .activity_svg',
  slidesAriaLives: [
    '',
    'The first two columns show the results from the post-hoc test, which compares each of the groups\' means to all of the other groups\' means.',
    'The value of Mean difference of 1 (I) Sleep and 2 (J) Sleep equals minus 1.017. This is the difference between the mean happiness rating for the six hours of sleep and eight hours of sleep conditions. The mean difference is significant at the 0.05 level',
    'The value of Mean difference of 1 (I) Sleep and 3 (J) Sleep equals .000.This is the difference between the mean happiness rating for the six hours of sleep and ten hours of sleep conditions.',
    'The value of Mean difference of 2 (I) Sleep and 3 (J) Sleep equals 1.017. This is the difference between the mean happiness rating for the eight hours of sleep and ten hours of sleep conditions. Note that the mean difference is significant at the 0.05 level',
    'The first four rows of the Sig. are equal .000, 1.000, .000, and .000. This means that happiness was different in the eight hours sleep condition from the six hours and ten hours sleep conditions, which had similar ratings.',
    'The first four rows of the Sig. are equal .000, 1.000, .000, and .000. The post-hoc test tells us which comparisons between the means were significant. The p level tells us the significance level of that comparison. ',
  ],
  slidesCount: 6,
  question_index: 22,
  ellipsesCells: [
    {
      startId: '#table-2-ellipse-start',
      endId: '#table-2-ellipse-end'
    },
  ],
  rectanglesCells: [
    {
      startId: '#table-2-rect-start',
      endId: '#table-2-rect-end'
    },
  ],
  onShowSlide: function (currentSlide, ellipses) {
    if (!currentSlide) {
      ellipses[0].hide();
    }
  }
};

var tableActivity3Params = {
  tableActivitySelector: '#table-activity-3',
  svgSelector: '#digfir_section_30 .activity_svg',
  question_index: 23,
  slidesAriaLives: [
    '',
    'The estimate of mean for male equals 2.822. This is the average or mean (M) happiness rating for males.',
    'The estimate of standard error for male equals 0.060. This is the standard error (SE) of happiness rating for males',
    'The estimate of mean for female equals 3.856. This is the average or mean (M) happiness rating for females.',
    'The estimate of standard error for female equals 0.060. This is the standard error (SE) of happiness rating for females.',
    'The estimate of mean for male equals 2.822 and for female equals 3.856. In this case, the means tell us that happiness ratings were higher for females than males. The results from ANOVA support this finding that females had higher happiness ratings overall. ',
    'The total mean of six equals 3.00. This is the average or mean (M) happiness rating after six hours of sleep. ',
    'The total standard deviation of six equals 0.713. This is the standard deviation (SD) of happiness rating after six hours of sleep. ',
    'The total mean of eight equals 4.02. This is the average or mean (M) happiness rating after eight hours of sleep. ',
    'The standard deviation of eight equals 0.792. This is the standard deviation (SD) of happiness rating after eight hours of sleep.',
    'The total mean of ten equals 3.00.This is the average or mean (M) happiness rating after ten hours of sleep.',
    'The total standard deviation of ten equals 0.664. This is the standard deviation of happiness rating after ten hours of sleep.',
    'The total mean of six equals 3.00, of eight equals 4.02 and of ten equals 3.00. In this case, the means tell us that happiness ratings were highest after eight hours of sleep. The results from the post-hoc test support the finding that happiness ratings were similar for six and ten hours of sleep but increased significantly for eight hours of sleep'
  ],
  slidesCount: 12
};

var PlayerChapter12 = ProjectPlayer.extend({
  update_navigation: function () {
    var currentSection = this.section_currently_showing;

    if (currentSection) {
      if (this.last_available_section > currentSection) {
        this.sections[currentSection].passed = 'passed';
      }
    }

    if (this.sections[currentSection].passed
      && this.sections[currentSection].passed === 'no_passed') {
      return;
    }
    // show/hide the "next" button as appropriate
    var last_section = this.showing_last_section();
    if (this.last_available_section > this.section_currently_showing
      && !last_section) {
      UI_Elements.toggle_button('step_next_button', true);
    }
    else {
      UI_Elements.toggle_button('step_next_button', false);
    }

    if (last_section && player.activity.answered_all_queries) {
      //player.show_completion_message();
    }
  },
  show_section: function (section_to_show) {
    'use strict';
    this._super(section_to_show);

    var continueBtnNode = $('#step_next_button .ui-button-text'),
      currentSection = player.section_currently_showing;

    switch (currentSection) {
      case 25:
        continueBtnNode.text('Access Data');
        break;
      case 22:
        continueBtnNode.text('Submit to IRB');
        break;
      case 24:
        continueBtnNode.text('Collect Data');
        $('#first-select-activity .item-container').each(function () {
          this.id = Math.random();
        }).sort(function (a, b) {
          return a.id > b.id ? -1 : 1;
        }).appendTo('#first-select-activity');
        break;
      case 30:
        if (!pattern1) {
          pattern1 = new Pattern({
            id: 'pattern1',
            svgContainerSelector: '#digfir_section_30 #G2Dbox svg',
            elementsSelector: '[fill="#D40013"]'
          });
        }
        break;
      case 33:
        if (!pattern2) {
          pattern2 = new Pattern({
            id: 'pattern2',
            svgContainerSelector: '#digfir_section_33 #G2Dbox2 svg',
            elementsSelector: '[fill="#D40013"]',
          });
        }
        break;
      default:
        continueBtnNode.text('Continue');
    }
  },
  initialize2: function () {
    this._super();

    SelectActivity.prototype.onAnimationEnd = function () {
      var $itemContainer = $(this.items[0].itemContainer);
      var $selectActivityContainer = $($itemContainer.parent());

      var sortedItemsByCorrectIndex = _.sortBy(this.items, function (item) {
        return item.correctOptionIndex;
      });

      sortedItemsByCorrectIndex.forEach(function (item) {
        $selectActivityContainer.append(item.itemContainer);
        $(item.itemContainer).css('transform', 'none');
      });
    };

    var firstSelectActivity = new SelectActivity(firstSelectActivityParams);
    //console.log(firstSelectActivity);

    var secondSelectActivity = new SelectActivity(secondSelectActivityParams);
    //console.log(secondSelectActivity);

    var tableActivity1 = new TableActivity(tableActivity1Params);
    //console.log(tableActivity1);

    var tableActivity2 = new TableActivity(tableActivity2Params);
    //console.log(tableActivity2);

    var tableActivity3 = new TableActivity(tableActivity3Params);
    //console.log(tableActivity3);

    var graphAcivity = new GraphActivity(graphActivityParams);
    //console.log(graphAcivity);

    if (platform.ie) {
      $('#digfir_section_28 .table-activity-container').css('width', '95%');
    }

    $('[data-type="figure"]').each(function () {
      this.setAttribute('aria-hidden', true);
    });
  }
});

window.player = new PlayerChapter12();


/***/ }),

/***/ 44:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ 81:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(26);


/***/ })

},[81]);
//# sourceMappingURL=ch12_ria_lewandowski2e.js.map