webpackJsonp([6],{

/***/ 27:
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(45);

var ProjectPlayer = __webpack_require__(0);
var GraphActivity = __webpack_require__(3);
var Pattern = __webpack_require__(7);

var pattern = null;

var graphActivityParams = {
  items: [
    {
      selectParams: {
        options: ['2.70', '2.80', '2.90', '2.95', '2.50', '2.85'],
        container: '#graph-dd-1',
        id: 'graph-select-11-',
        ariaLabelledby: 'td-banana td-mean'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['4.09', '4.10', '4.02', '4.40', '3.88', '4.15'],
        container: '#graph-dd-2',
        id: 'graph-select-12-',
        ariaLabelledby: 'td-cherry td-mean'
      },
      correctOptionIndex: 0
    },
    {
      selectParams: {
        options: ['2.70', '2.80', '2.90', '2.95', '2.50', '2.85'],
        container: '#graph-dd-3',
        id: 'graph-select-13-',
        ariaLabelledby: 'td-orange td-mean'
      },
      correctOptionIndex: 2
    },
    {
      selectParams: {
        options: ['3.49', '4.11', '2.79', '4.00', '2.00', '3.00'],
        container: '#graph-dd-4',
        id: 'graph-select-14-',
        ariaLabelledby: 'td-passion td-mean'
      },
      correctOptionIndex: 5
    },
    {
      selectParams: {
        options: ['3.49', '2.00', '5.54', '2.22', '4.07', '6.12'],
        container: '#graph-dd-5',
        id: 'graph-select-15-',
        ariaLabelledby: 'td-raspberry td-mean'
      },
      correctOptionIndex: 4
    },
    {
      selectParams: {
        options: ['3.20', '3.30', '3.40', '3.50', '3.60', '3.70'],
        container: '#graph-dd-6',
        id: 'graph-select-16-',
        ariaLabelledby: 'td-strawberry td-mean'
      },
      correctOptionIndex: 0
    }
  ],
  patternParams: {
    fillColor: 'red',
    elements: ['[fill="orange"]'],
  },
  question_index: 8,
  correctFeedback: 'Correct!',
  incorrectFeedback: 'Max attempts reached.',
  feedbackContainer: '#digfir_section_14 .feedback_graph',
  submitButton: '#digfir_section_14 .submit_graph',
  graphContainerSelector: '#digfir_section_14 .activity_graph',
  showAnswer: window.mheAdditionalActivities.chapter_13_graph_activity.showAnswer
};

var PlayerChapter13 = ProjectPlayer.extend({
  update_navigation: function () {
    var currentSection = this.section_currently_showing;

    if (currentSection) {
      if (this.last_available_section > currentSection) {
        this.sections[currentSection].passed = 'passed';
      }
    }

    if (this.sections[currentSection].passed
      && this.sections[currentSection].passed === 'no_passed') {
      return;
    }
    // show/hide the "next" button as appropriate
    var last_section = this.showing_last_section();
    if (this.last_available_section > this.section_currently_showing
      && !last_section) {
      UI_Elements.toggle_button('step_next_button', true);
    }
    else {
      UI_Elements.toggle_button('step_next_button', false);
    }

    if (last_section && player.activity.answered_all_queries) {
      player.show_completion_message();
    }
  },
  show_section: function (section_to_show) {
    'use strict';
    this._super(section_to_show);

    var continueBtnNode = $('#step_next_button .ui-button-text'),
      currentSection = player.section_currently_showing;

    switch (currentSection) {
      case 10:
      case 30:
      case 48:
      case 62:
        continueBtnNode.text('Access Data');
        break;
      case 14:
        if (!pattern) {
          pattern = new Pattern({
            id: 'pattern',
            svgContainerSelector: '#digfir_section_14 #G2Dbox2 svg',
            elementsSelector: '[fill="#D40013"]',
          });
        }
        break;
      default:
        continueBtnNode.text('Continue');
    }
  },
  initialize2: function () {
    this._super();

    for (var i = 0, imgList = document.querySelectorAll('[data-hidden=true]'); i < imgList.length; i++) {
      imgList[i].setAttribute('aria-hidden', 'true');
    }

    var graphAcivity = new GraphActivity(graphActivityParams);
    console.log(graphAcivity);
  }
});

window.player = new PlayerChapter13();


/***/ }),

/***/ 45:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ 82:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(27);


/***/ })

},[82]);
//# sourceMappingURL=ch13_ria_lewandowski2e.js.map