webpackJsonp([5],{

/***/ 28:
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(46);

var ProjectPlayer = __webpack_require__(0);
var SelectActivity = __webpack_require__(2);

var firstSelectActivityParams = {
  items: [
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5'],
        container: '#first-select-activity .item-1 .dropdown-container',
        id: 'select-11',
        ariaLabelledby: 'item-1'
      },
      correctOptionIndex: 4
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5'],
        container: '#first-select-activity .item-2 .dropdown-container',
        id: 'select-12',
        ariaLabelledby: 'item-2'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5'],
        container: '#first-select-activity .item-3 .dropdown-container',
        id: 'select-13',
        ariaLabelledby: 'item-3'
      },
      correctOptionIndex: 2
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5'],
        container: '#first-select-activity .item-4 .dropdown-container',
        id: 'select-14',
        ariaLabelledby: 'item-4'
      },
      correctOptionIndex: 0
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4', '5'],
        container: '#first-select-activity .item-5 .dropdown-container',
        id: 'select-15',
        ariaLabelledby: 'item-5'
      },
      correctOptionIndex: 3
    }
  ],
  incorrectFeedback: 'This is not the correct placement for this step.',
  correctFeedback: 'This is the correct placement for this step.',
  reducePossibleOptions: true,
  withShift: true,
  feedbackContainer: '#first-select-activity-fb-container',
  submitButton: '#first-select-activity-1-submit-btn',
  question_index: 1,
};

var secondSelectActivityParams = {
  items: [
    {
      selectParams: {
        options: ['1', '2', '3', '4',
        '5', '6', '7', '8', '9'],
        container: '#second-select-activity .item-1 .dropdown-container',
        id: 'select-21',
        ariaLabelledby: 'second-item-1'
      },
      correctOptionIndex: 3
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4',
        '5', '6', '7', '8', '9'],
        container: '#second-select-activity .item-2 .dropdown-container',
        id: 'select-22',
        ariaLabelledby: 'second-item-2'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4',
        '5', '6', '7', '8', '9'],
        container: '#second-select-activity .item-3 .dropdown-container',
        id: 'select-23',
        ariaLabelledby: 'second-item-3'
      },
      correctOptionIndex: 5
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4',
        '5', '6', '7', '8', '9'],
        container: '#second-select-activity .item-4 .dropdown-container',
        id: 'select-24',
        ariaLabelledby: 'second-item-4'
      },
      correctOptionIndex: 0
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4',
        '5', '6', '7', '8', '9'],
        container: '#second-select-activity .item-5 .dropdown-container',
        id: 'select-25',
        ariaLabelledby: 'second-item-5'
      },
      correctOptionIndex: 6
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4',
        '5', '6', '7', '8', '9'],
        container: '#second-select-activity .item-6 .dropdown-container',
        id: 'select-26',
        ariaLabelledby: 'second-item-6'
      },
      correctOptionIndex: 7
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4',
        '5', '6', '7', '8', '9'],
        container: '#second-select-activity .item-7 .dropdown-container',
        id: 'select-27',
        ariaLabelledby: 'second-item-7'
      },
      correctOptionIndex: 4
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4',
        '5', '6', '7', '8', '9'],
        container: '#second-select-activity .item-8 .dropdown-container',
        id: 'select-28',
        ariaLabelledby: 'second-item-8'
      },
      correctOptionIndex: 2
    },
    {
      selectParams: {
        options: ['1', '2', '3', '4',
        '5', '6', '7', '8', '9'],
        container: '#second-select-activity .item-9 .dropdown-container',
        id: 'select-29',
        ariaLabelledby: 'second-item-9'
      },
      correctOptionIndex: 8
    }
  ],
  incorrectFeedback: 'This is not the correct placement for this step.',
  correctFeedback: 'This is the correct placement for this step.',
  reducePossibleOptions: true,
  withShift: true,
  feedbackContainer: '#second-select-activity-fb-container',
  submitButton: '#second-select-activity-2-submit-btn',
  question_index: 2,
};

var thirdSelectActivityParams = {
  items: [
    {
      selectParams: {
        options: ['<div class="false"><span class="visually-hidden">cross</span>'+
        '<span aria-hidden="true">✘</span></div>',
        '<div class="true"><span class="visually-hidden">tic</span><span aria-hidden="true">✓</span></div>'],
        container: '#third-select-activity .item-1 .dropdown-container',
        id: 'select-31-',
        ariaLabelledby: 'third-item-1'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['<div class="false"><span class="visually-hidden">cross</span>'+
        '<span aria-hidden="true">✘</span></div>',
        '<div class="true"><span class="visually-hidden">tic</span><span aria-hidden="true">✓</span></div>'],
        container: '#third-select-activity .item-2 .dropdown-container',
        id: 'select-32-',
        ariaLabelledby: 'third-item-2'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['<div class="false"><span class="visually-hidden">cross</span>'+
        '<span aria-hidden="true">✘</span></div>',
        '<div class="true"><span class="visually-hidden">tic</span><span aria-hidden="true">✓</span></div>'],
        container: '#third-select-activity .item-3 .dropdown-container',
        id: 'select-33-',
        ariaLabelledby: 'third-item-3'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['<div class="false"><span class="visually-hidden">cross</span>'+
        '<span aria-hidden="true">✘</span></div>',
        '<div class="true"><span class="visually-hidden">tic</span><span aria-hidden="true">✓</span></div>'],
        container: '#third-select-activity .item-4 .dropdown-container',
        id: 'select-34-',
        ariaLabelledby: 'third-item-4'
      },
      correctOptionIndex: 0
    },
    {
      selectParams: {
        options: ['<div class="false"><span class="visually-hidden">cross</span>'+
        '<span aria-hidden="true">✘</span></div>',
        '<div class="true"><span class="visually-hidden">tic</span><span aria-hidden="true">✓</span></div>'],
        container: '#third-select-activity .item-5 .dropdown-container',
        id: 'select-35-',
        ariaLabelledby: 'third-item-5'
      },
      correctOptionIndex: 0
    },
    {
      selectParams: {
        options: ['<div class="false"><span class="visually-hidden">cross</span>'+
        '<span aria-hidden="true">✘</span></div>',
        '<div class="true"><span class="visually-hidden">tic</span><span aria-hidden="true">✓</span></div>'],
        container: '#third-select-activity .item-6 .dropdown-container',
        id: 'select-36-',
        ariaLabelledby: 'third-item-6'
      },
      correctOptionIndex: 0
    },
    {
      selectParams: {
        options: ['<div class="false"><span class="visually-hidden">cross</span>'+
        '<span aria-hidden="true">✘</span></div>',
        '<div class="true"><span class="visually-hidden">tic</span><span aria-hidden="true">✓</span></div>'],
        container: '#third-select-activity .item-7 .dropdown-container',
        id: 'select-37-',
        ariaLabelledby: 'third-item-7'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['<div class="false"><span class="visually-hidden">cross</span>'+
        '<span aria-hidden="true">✘</span></div>',
        '<div class="true"><span class="visually-hidden">tic</span><span aria-hidden="true">✓</span></div>'],
        container: '#third-select-activity .item-8 .dropdown-container',
        id: 'select-38-',
        ariaLabelledby: 'third-item-8'
      },
      correctOptionIndex: 1
    },
    {
      selectParams: {
        options: ['<div class="false"><span class="visually-hidden">cross</span>'+
        '<span aria-hidden="true">✘</span></div>',
        '<div class="true"><span class="visually-hidden">tic</span><span aria-hidden="true">✓</span></div>'],
        container: '#third-select-activity .item-9 .dropdown-container',
        id: 'select-39-',
        ariaLabelledby: 'third-item-9'
      },
      correctOptionIndex: 1
    }
  ],
  incorrectFeedback: 'This is not the correct placement for this step.',
  correctFeedback: 'This is the correct placement for this step.',
  reducePossibleOptions: false,
  withShift: false,
  feedbackContainer: '#third-select-activity-fb-container',
  submitButton: '#third-select-activity-3-submit-btn',
  question_index: 3,
};

var PlayerChapter14 = ProjectPlayer.extend({
  update_navigation: function () {
    var currentSection = this.section_currently_showing;

    if (currentSection) {
      if (this.last_available_section > currentSection) {
        this.sections[currentSection].passed = 'passed';
      }
    }

    if (this.sections[currentSection].passed
      && this.sections[currentSection].passed === 'no_passed') {
      return;
    }
    // show/hide the "next" button as appropriate
    var last_section = this.showing_last_section();
    if (this.last_available_section > this.section_currently_showing
      && !last_section) {
      UI_Elements.toggle_button('step_next_button', true);
    }
    else {
      UI_Elements.toggle_button('step_next_button', false);
    }

    /*
    if (last_section && player.activity.answered_all_queries) {
      player.show_completion_message();
    }
    */
  },
  initialize2: function () {
    this._super();

    document.querySelectorAll('[data-hidden=true]>[data-type=figure_text]').forEach(function (caption) {
      caption.setAttribute('aria-hidden', 'true');
    });

    safe_log("initialize2: initializing select activities");

    var firstSelectActivity = new SelectActivity(firstSelectActivityParams);
    //console.log(firstSelectActivity);

    var secondSelectActivity = new SelectActivity(secondSelectActivityParams);
    //console.log(secondSelectActivity);

    var thirdSelectActivity = new SelectActivity(thirdSelectActivityParams);
    //console.log(thirdSelectActivity);
  }
});

window.player = new PlayerChapter14();


/***/ }),

/***/ 46:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ 83:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(28);


/***/ })

},[83]);
//# sourceMappingURL=ch14_ria_lewandowski2e.js.map